# Modal Demo

- order: 0

各种用法集合

---

````js
/** @jsx createElement */
import { View, Text, Button, Modal, Page } from 'nuke';
import {createElement, Component,render} from 'rax';
let App = class NukeDemoIndex extends Component {
    constructor() {
        super();
    }

    alert = () => {
        Modal.alert('大家好', [
      {
        onPress: (e) => {
          console.log(e);
        },
        text: '确定按钮',
      },
    ]);

    }
    confirm = (e) =>{
       //确定、取消，可设置按钮内容
        Modal.confirm('给个评价吧！！',[ 
            {
                onPress:()=>{console.log('点击了去看看')},
                text:"去看看"
            },
            {
                onPress:()=>{console.log('点击了以后再说')},
                text:"以后再说"
            }
        ]);
    }
    prompt = (e) =>{
        Modal.prompt('请输入', (result) => {
            console.log(result)
        });
    }
    toast = () => {
        Modal.toast('hello');

    }
    render() {
        return (
            <Page title="Modal">
                <Page.Intro main="基础使用"></Page.Intro>
                <View style={styles.btns}>
                    <Button style={styles.btn} block onPress={this.alert} type="primary">alert</Button>
                    <Button style={styles.btn} block onPress={this.confirm} type="primary">confirm</Button>
                    <Button style={styles.btn} block onPress={this.prompt} type="primary">prompt</Button>
                    <Button style={styles.btn} block onPress={this.toast} type="primary">toast</Button>

                </View>
            </Page>
        );
    }
}
let styles = {
    btns:{
        margin:'30rem',
    },
    btn:{
        marginBottom:'30rem'
    }
}
render(<App/>);

````
