# 内部页面

- order: 1

浮层内部的页面

---

````js
/** @jsx createElement */
import { View, Text, Image, Button, Input, Env, NativeDialog } from 'nuke';
const { isWeb } = Env;
import {createElement, Component,render,setNativeProps } from 'rax';
class App extends Component {
    constructor(props) {
        super(props);

        this.state = {
            val:''
        };
        if(isWeb){
             NativeDialog.initFrame({
                inner:true
            })
        }else{
        setNativeProps(document.body, {style: {backgroundColor: 'rgba(0,0,0,0)'}});
            
        }
       
    }
    inputChange=(e)=>{
        this.setState({
            val:e.value || e.target.value
        })
    
    }
    render() {
        let self = this;
        return (
            <View style={styles.xcontainer}>
                <Text style={styles['tip']}> 请输入</Text>
                <View style={styles.inputWrap}>
                    <Input ref="myinput" style={styles.input} onInput={self.inputChange} placeholder="请输入电话"/>
                    
                </View>
                <Image source={{uri:'//img.alicdn.com/tfs/TB1QcsVNXXXXXbVXpXXXXXXXXXX-750-256.png'}} style={{width:'640rem',height:'219rem'}} resizeMode="cover" />
                <View style={styles.btns}>
                    <Button rect  style={styles.btn} type="primary" onPress={self.confirm.bind(self)}>确定</Button>
                    <Button rect style={styles.btn} type="normal" onPress={self.cancel.bind(self)}>取消</Button>
                </View>
            </View>
        );
    }

    confirm = () => {
        
        NativeDialog.hide({'type':'confirm','data':this.state});
    }

    cancel = () => {
        NativeDialog.hide({'type':'cancel','mytestdata':"canceled"});
    }
}

const styles = {
    xcontainer: {
        alignSelf: 'center',
        width : '640rem',
        height: '460rem',
        marginLeft:'auto',
        marginRight:'auto',
        backgroundColor: '#fff',
    },
    tip:{
        paddingLeft:'20rem',
        paddingTop:'20rem',
        fontSize:'30rem',
        color:'#999999'
    },
    inputWrap:{
        padding:'20rem',
        marginBottom:'10rem',
        flex:1,
    },
    input:{
    },
    btns:{
        postion:'absolute',
        bottom:'0',
        flexDirection:'row',
        left:0,
        width : '640rem',
        height:'60rem',
    },
    btn:{
        flex:1,
    }
};
render(<App/>);

````
