# ScrollView demo 事件

- order: 0

可以滚动到指定位置

---

````js
/** @jsx createElement */
import { View, Text, ScrollView, Button, Modal, BizPage } from 'nuke';
import {createElement, Component,render} from 'rax';
let App = class NukeDemoIndex extends Component {
    constructor() {
        super();
    }
    getRandomColor(){
        var rgb='rgb('+Math.floor(Math.random()*255)+','
                    +Math.floor(Math.random()*255)+','
                    +Math.floor(Math.random()*255)+')';
        return rgb;
    }
    getViews(){
        let doms=[];
        for(var i=0; i<= 10;i++){
            doms.push(<View style={[styles.item,{backgroundColor:this.getRandomColor()}]}><Text>第{i}个</Text></View>)
        }
        return doms;
    }
    scroll=()=>{
        this.refs.scroller1.scrollTo({x:0,y:100})
    }
    reset = ()=>{

        this.refs.scroller1.resetLoadmore();
        Modal.toast('reset loadmore success');
    }
    loadmore=()=>{
        Modal.toast('无新增数据');
    }
    render() {
        return (
            <BizPage title="ScrollView">
                <BizPage.Intro main="events"></BizPage.Intro>
                <ScrollView ref="scroller1" style={styles.scroller} disabledPtr={true} onEndReachedThreshold={20} onEndReached={this.loadmore}>
                    {this.getViews()}
                </ScrollView>
                <Button.Group style={{marginTop:'30rem'}}>
                    <Button type="primary" onPress={this.scroll}>滑动到100rem 位置</Button>
                    <Button type="primary" onPress={this.reset}>reset load more</Button>
                </Button.Group>
            </BizPage>
        )
    }
}
const styles={
    scroller:{
      backgroundColor:'#ffffff',
      height:'400rem'
    },
    st:{
        paddingTop:'10rem',
        paddingBottom:'10rem',
        paddingLeft:'20rem',
        backgroundColor:'#dddddd'
    },
    stText:{
        fontSize:'36rem'
    },
    item:{
        height:'120rem',
        alignItems:'center',
        justifyContent:'center',
        borderBottomStyle:'solid',
        borderBottomWidth:'1rem',
        borderBottomColor:'#e8e8e8'
    }
}
render(<App/>);

````
