# 使用ajax请求结果动态渲染

- order: 1

distanceLevel=9的效果

---

````js
/** @jsx createElement */
import { View, Text, Image, BizPage, Dimensions, SliderNeighbor } from 'nuke';
import {createElement, Component,render } from 'rax';
let { height, width } = Dimensions.get('window');

let App = class NukeDemoIndex extends Component {
    constructor() {
        super();
        this.state={
            sliderData:[
            ]
        }
    }
    componentDidMount(){
        fetch('https://www.easy-mock.com/mock/58ff2cbf5e43ae5dbea5f834/uiexplorer/slider-neighbor/imagelist', {
            method: 'GET',
            dataType: 'jsonp',
        })
        .then(response => {
            return response.json();
        })
        .then(data => {
            console.log('data===>',data);
            this.setState({sliderData:data.data.result})
        })

    }
    getItems(){
        let content = [];
        this.state.sliderData.forEach(function(item,index){
                content.push(<View style={[styles.slideItem]}>
                    <Text>{item.text}</Text>
                    <Image source={{uri: item.url}} style={{width:'390rem',height:'994rem'}} />
            </View>)
        });
        return content;
    }
    change=(e)=>{
            console.log('switchto ',e);
    }
    render() {
            return (
                this.state.sliderData && this.state.sliderData[0] ?
                (<SliderNeighbor width="750rem" scale={.9} neighborScale="0.7" distanceLevel={9} height={`${height}rem`} showPagination={false} onChange={this.change}>
                    {this.getItems()}
                </SliderNeighbor>)
                :null

            );
    }
}
const styles = {
    
    slideItem: {
        width: '750rem',
        height: `${height}rem`,
        justifyContent:'center',
        alignItems:'center',
        //backgroundColor:'#dddddd'
    },
    slideItemText: {
        color:'#ffffff',
        fontSize:'40rem'
    },

    
    img: {
        width: '750rem',
        height: '1154rem'
    }
};

render(<App/>);

````
