# 复杂场景的最佳实践

- order: 0

复杂场景组合

-----------
````js
/** @jsx createElement */
import { ListView, Button, TabSlider, Icon } from 'nuke';
import {createElement, Component,render} from 'rax';
import { View, Text,Image,TouchableHighlight,ScrollView} from 'nuke-components';
const { Pane } = TabSlider;
let listData = [];
for (var i = 0; i < 10; i++) {
    listData.push({key: i,pic:'//img.alicdn.com/bao/uploaded/i1/TB1gdT4KVXXXXcpXFXXwu0bFXXX.png',text:'近三个月订单'});
}
class NukeDemoIndex extends Component{
  constructor(props) {
    super(props);
    this.state =  {
            active:0,
            data: listData,
            stop: false,
            page:0
        };
  }

  sliderChange(index){
    console.log('slide-to', index,new Date().getTime());
    this.setState({
        active:index
    })
  }

  _renderContent(color, pageText, num) {
      return (
        <View style={{ backgroundColor: color,width:750,height:1000 }}>
        </View>
      );
  }

  //listview
  handleLoadMore() {
          var self = this;
          // 这里进行异步操作
          setTimeout(function() {
            self.page++;
            if (self.page == 5) {
              self.state.stop = true; // 加载5次后会停止加载，并去掉菊花
            }
            self.state.data.push({key: 'x',pic:'//img.alicdn.com/bao/uploaded/i1/TB1O9eAKVXXXXaPaXXXwu0bFXXX.png',text:'xx订单'}, {key: 'loadmore 2',pic:'//img.alicdn.com/bao/uploaded/i1/TB1O9eAKVXXXXaPaXXXwu0bFXXX.png',text:'xx订单'}, {key: 'loadmore 2',pic:'//img.alicdn.com/bao/uploaded/i1/TB1O9eAKVXXXXaPaXXXwu0bFXXX.png',text:'xx订单'},{key: 'loadmore 2',pic:'//img.alicdn.com/bao/uploaded/i1/TB1O9eAKVXXXXaPaXXXwu0bFXXX.png',text:'xx订单'}, {key: 'loadmore 2',pic:'//img.alicdn.com/bao/uploaded/i1/TB1O9eAKVXXXXaPaXXXwu0bFXXX.png',text:'xx订单'});
            self.setState(self.state);
          }, 1000);
      }
  linkTo(item,e) {
      console.log(e);
  }
  renderItem (item, index){
      return <TouchableHighlight style={app.cellItemList} onPress={this.linkTo.bind(this,item)}>
              <Icon src={item.pic} style={app.itemIcon} />
              <Text style={app.itemTextList}>{item.text}</Text>
              <View>
                  <Text>价格：</Text><Text>300.00</Text>
              </View>
              <Icon style={app.itemArrow} src="//img.alicdn.com/tfs/TB1EU2rMVXXXXcpXXXXXXXXXXXX-64-64.png" />
          </TouchableHighlight>;

  }
  renderHeader0(){
      return <View style={app.listHeader}><Text style={app.showTitleText}>list0</Text></View>
  }

  renderHeader1(){
      return <View style={app.listHeader}><Text style={app.showTitleText}>list1</Text></View>
  }

  renderHeader2(){
      return <View style={app.listHeader}><Text style={app.showTitleText}>list2</Text></View>
  }

  renderFooter(){
      return <View style={app.loading}><Text style={app.loadingText}>加载中...</Text></View>
  }

  onPress(index){
     console.log('点击了',new Date().getTime());
     this.refs.TabSlider.slideTo(index);
  }
  siwtchTitleCustom(index,current){
    let active = {color:'#3089DC'};
    var commonSty = {color:'#000',textAlign:'center'};

    switch (index) {
      case 0:
        var style = {width:150};
        style = Object.assign(style,commonSty);
        if(index == current)
            style = Object.assign({},style,active)
        return (
            <TouchableHighlight  onPress={this.onPress.bind(this,index)}>
                <Text style={style}>已买到</Text>
            </TouchableHighlight>
        )
        break;
      case 1:
        var style = {width:150};
        style = Object.assign(style,commonSty);
        if(index == current)
            style = Object.assign({},style,active)
        return (
            <TouchableHighlight  onPress={this.onPress.bind(this,index)}>
                <Text style={style}>购物车</Text>
            </TouchableHighlight>
        )
        break;
      case 2:
        var style = {width:150};
        style = Object.assign(style,commonSty);
        if(index == current)
            style = Object.assign({},style,active)
        return (
            <TouchableHighlight  onPress={this.onPress.bind(this,index)}>
                <Text style={style}>其他</Text>
            </TouchableHighlight>
        )
        break;
    }
  }
  render() {
      console.log('render',new Date().getTime())
      var self=this;
      return (
        <View>
         <TabSlider ref="TabSlider" navTop={true} width={750} style={styles.barStyle} active={this.state.active} customBar={true} onChange={this.sliderChange.bind(this)}>
            <Pane style={{width:750,backgroundColor:'#414A8C'}} renderTitleCustom={this.siwtchTitleCustom.bind(self,0,this.state.active)}>
              <ListView
                   renderHeader={this.renderHeader0.bind(self)}
                   renderFooter={this.renderFooter.bind(self)}
                   renderRow={self.renderItem.bind(self)}
                   dataSource={self.state.data}
                   style={app.listContainer}
                   onEndReached={self.handleLoadMore.bind(self)}
                 />
            </Pane>
            <Pane style={{width:750,backgroundColor:'#783E33'}} renderTitleCustom={this.siwtchTitleCustom.bind(self,1,this.state.active)}>
              <ListView
                   renderHeader={this.renderHeader1.bind(self)}
                   renderFooter={this.renderFooter.bind(self)}
                   renderRow={self.renderItem.bind(self)}
                   dataSource={self.state.data}
                   style={app.listContainer}
                   onEndReached={self.handleLoadMore.bind(self)}
                 />
            </Pane>
            <Pane style={{width:750,backgroundColor:'#FF8B3D'}} renderTitleCustom={this.siwtchTitleCustom.bind(self,2,this.state.active)}>
              <ListView
                   renderHeader={this.renderHeader2.bind(self)}
                   renderFooter={this.renderFooter.bind(self)}
                   renderRow={self.renderItem.bind(self)}
                   dataSource={self.state.data}
                   style={app.listContainer}
                   onEndReached={self.handleLoadMore.bind(self)}
                 />
            </Pane>
        </TabSlider>
        <TouchableHighlight style={styles.fixSetting} onPress={this.personalSetting}>
          <Icon style={{fontSize:36,color:'#3089DC'}} name='account'/>
        </TouchableHighlight>
       </View>
        )
  }
}
const styles = {
  slider: {
    width: '750rem',
    position: 'relative',
    overflow: 'hidden',
    height: '452rem',
    backgroundColor: '#cccccc'
  },
  itemWrap: {
    width: '750rem',
    height: '352rem'
  },
  image: {
    width: '750rem',
    height: '352rem'
  },
  button: {
    marginTop: '20rem',
    width: '340rem',
    height: '80rem'
  },
  paginationStyle: {
    position: 'absolute',
    width: '750rem',
    height: '40rem',
    bottom: '20rem',
    left: 0,
    itemColor: 'rgba(255, 255, 255, 0.5)',
    itemSelectedColor: 'rgb(255, 80, 0)'
  },
  tab:{
    position:'relative',
    width:750,
    height:3000
  },
  tabBottom:{
    height:166,
    width:750,
    backgroundColor:'#333333',
    display:'flex',
    alignItems:'center',
    justifyContent:'middle'
  },
  barStyle:{
    backgroundColor:'#ffffff',
    height:80,
    width:750,
    overflow:'hidden',
    justifyContent:'flex-start'
  },
  fixSetting:{
    position:'absolute',
    right:20,
    top:20
  }
};
const app = {
    'listHeader':{
        height:'300rem',
        display:'flex',
        alignItems: 'center',
        flexDirection: 'column',
        justifyContent: 'center',
    },
    'listHeaderText':{
        fontSize: '60rem',
        color:'#333333',
    },
    'listHeaderSub':{
        fontSize: '30rem',
        color:'#888888',
    },
    'listContainer':{
        flex: 1,
        backgroundColor:'#f8f8f8',
    },
    'footer':{
        paddingTop: '50rem',
        paddingBottom: '50rem',
        backgroundColor: '#efefef',
        textAlign: 'center',
    },
    'link':{
        fontSize: '32rem',
    },
    'titleLink':{
        backgroundColor: '#ff4200',
        display: 'block',
        padding: '10rem',
    },
    'img':{
        width: '100rem',
        height: '100rem',
        backgroundColor: '#ff4200',
    },
    'cellItemIndex':{
        backgroundColor:'#ffffff',
        height: '130rem',
        display:'flex',
        paddingLeft:'20px',
        alignItems: 'center',
        flexDirection:'row',
    },
    'cellItemList':{
        backgroundColor:'#ffffff',
        height:'110rem',
        borderBottom:'1px solid #e8e8e8',
        display:'flex',
        alignItems:' center',
        flexDirection:'row',
    },
    'itemTextList':{
        flex:13,
        fontSize:'30rem',
        color:'#333333',
    },
    itemIcon:{
        width:'60rem',
        height:'60rem',
        flex: 2,
        justifyContent:'center',
    },
    cellTextView:{
        flex:13,
        display:'flex'
    },
    itemMainTitle:{
        fontSize:'34rem',
        color:'#333333',
        marginBottom:'10px',
    },
    itemSubTitle:{
        fontSize:'24rem',
        color:'#333333',
    },
    itemArrow:{
        flex: 1,
        width:'18px',
        height:'18px',
    }
}

render(<NukeDemoIndex/>);

````
