# TextInput Demo

- order: 0

输入框基础使用。

---   

````js
/** @jsx createElement */
import { View, TextInput, Page } from 'nuke';

/* @jsx createElement */
import {createElement, Component,render} from 'rax';
let App = class Page extends Component {
    constructor(props){
        super(props);
    }
    change=(e)=>{
        console.log('输入框的值--->',e.target.value || e.value);
    }
    render() {
        return (
            <Page title="TextInput">
                <Page.Intro main="输入框" sub="单行"></Page.Intro>
                <View style={styles.singleWrap}>
                    <TextInput ref="input" onChange={this.change} style={styles.single}/>
                </View>
                <Page.Intro sub="多行"></Page.Intro>
                <View style={styles.singleWrap}>
                    <TextInput placeholder="提示" multiple ref="input" onChange={this.change} style={styles.multiple}/>
                </View>
                <Page.Intro main="各种键盘类型" sub="email"></Page.Intro>
                <View style={styles.singleWrap}>
                    <TextInput placeholder="email" type="email" style={styles.single} />
                </View>
                <Page.Intro sub="password"></Page.Intro>
                <View style={styles.singleWrap}>
                    <TextInput placeholder="password" type="password" style={styles.single} />
                </View>
                <Page.Intro sub="url"></Page.Intro>
                <View style={styles.singleWrap}>
                    <TextInput placeholder="url" type="url" style={styles.single} />
                </View>
                <Page.Intro sub="tel"></Page.Intro>
                <View style={styles.singleWrap}>
                    <TextInput placeholder="tel" type="tel" style={styles.single} />
                </View>
                <Page.Intro sub="date"></Page.Intro>
                <View style={styles.singleWrap}>
                    <TextInput placeholder="date" type="date" style={styles.single} />
                </View>
                <Page.Intro sub="number"></Page.Intro>
                <View style={styles.singleWrap}>
                    <TextInput placeholder="number" type="number" style={styles.single} />
                </View>
                <Page.Intro sub="time"></Page.Intro>
                <View style={styles.singleWrap}>
                    <TextInput placeholder="time" type="time" style={styles.single} />
                </View>

            </Page>
        );
    }
}

const styles={
    singleWrap:{
        marginTop:'20rem',
        justifyContent:'center',
        alignItems:'center',
        marginBottom:'20rem',
    },
    single:{
        width: '670rem',
        height: '100rem',
        fontSize:'32rem',
        padding:'10rem',
        borderWidth:'1rem',
        borderStyle:'solid',
        borderColor:'#cccccc',
        backgroundColor:'#ffffff'
    },
    multiple:{
        width: '670rem',
        height: '300rem',
        borderWidth:'1rem',
        fontSize:'32rem',
        padding:'20rem',
        borderStyle:'solid',
        borderColor:'#cccccc',
        backgroundColor:'#ffffff'
    }
}

render(<App/>);

````
