'use strict';

var _module$exports;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _nukeVarLoader = require('../../nuke-var-loader/lib/index.js');

var _nukeCore = require('../../nuke-core/lib/nuke.js');

var _nukeCore2 = _interopRequireDefault(_nukeCore);

var _variable = require('./variable.js');

var _variable2 = _interopRequireDefault(_variable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

module.exports = (_module$exports = {}, _defineProperty(_module$exports, 'action-sheet', _defineProperty({
    position: 'fixed',
    bottom: 0,
    left: 0,
    width: '750rem',
    backgroundColor: _variable2.default['action-sheet-title-background-color']
}, 'overflow-y', 'scroll')), _defineProperty(_module$exports, 'action-sheet-header', _extends({
    flexDirection: 'row',
    justifyContent: 'spaceBetween'
}, _nukeCore2.default.border(_variable2.default['action-sheet-item-border-width'], _variable2.default['action-sheet-item-border-style'], _variable2.default['action-sheet-item-line-color'], 'bottom'), {

    backgroundColor: _variable2.default['action-sheet-title-background-color'],
    height: _variable2.default['action-sheet-title-height']

})), _defineProperty(_module$exports, 'action-sheet-cancel', {
    textAlign: 'left'

}), _defineProperty(_module$exports, 'action-sheet-header', {
    alignItems: 'center',
    justifyContent: 'center'
}), _defineProperty(_module$exports, 'action-sheet-title', {
    overflow: 'hidden',
    textOverflow: 'ellipsis',
    fontSize: _variable2.default['action-sheet-title-font-size'] + 'rem',
    height: _variable2.default['action-sheet-item-height'],
    lineHeight: _variable2.default['action-sheet-item-height'],
    color: _variable2.default['action-sheet-title-color']
}), _defineProperty(_module$exports, 'action-sheet-item', _extends({
    overflow: 'hidden',
    textOverflow: 'ellipsis'
}, _nukeCore2.default.border(_variable2.default['action-sheet-item-border-width'], _variable2.default['action-sheet-item-border-style'], _variable2.default['action-sheet-item-line-color'], 'bottom'), {
    height: _variable2.default['action-sheet-item-height'],
    textAlign: 'center'

})), _defineProperty(_module$exports, 'action-sheet-item-destructive-text', {
    color: _variable2.default['action-sheet-item-active-color']
}), _defineProperty(_module$exports, 'action-sheet-item-text', {
    height: _variable2.default['action-sheet-item-height'],
    lineHeight: _variable2.default['action-sheet-item-height'],
    fontSize: _variable2.default['action-sheet-item-font-size'] + 'rem',
    color: _variable2.default['action-sheet-item-color']

}), _defineProperty(_module$exports, 'action-sheet-item-separator', {
    backgroundColor: _variable2.default['action-sheet-separator-background-color'],
    height: _variable2.default['action-sheet-separator-height']
}), _module$exports);