'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _nukeVarLoader = require('../../nuke-var-loader/lib/index.js');

var _nukeCore = require('../../nuke-core/lib/nuke.js');

var _nukeCore2 = _interopRequireDefault(_nukeCore);

var _mixin = require('./mixin.js');

var _variable = require('./variable.js');

var _variable2 = _interopRequireDefault(_variable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
    checkbox: {
        position: "relative",
        justifyContent: 'center'
    },
    "checkbox-wrap-normal-small": _extends({}, _nukeCore2.default.border(_variable2.default['checkbox-normal-border-width'], _variable2.default['checkbox-normal-border-style'], _variable2.default['checkbox-normal-border-color']), {
        height: _variable2.default['checkbox-small-size-height'],
        width: _variable2.default['checkbox-small-size-width']
    }, (0, _mixin.alignCenter)()),
    "checkbox-wrap-normal-medium": _extends({}, _nukeCore2.default.border(_variable2.default['checkbox-normal-border-width'], _variable2.default['checkbox-normal-border-style'], _variable2.default['checkbox-normal-border-color']), {
        height: _variable2.default['checkbox-medium-size-height'],
        width: _variable2.default['checkbox-medium-size-width']
    }, (0, _mixin.alignCenter)()),
    "checkbox-wrap-empty-small": _extends({}, _nukeCore2.default.border(_variable2.default['checkbox-normal-border-width'], _variable2.default['checkbox-normal-border-style'], _variable2.default['checkbox-normal-border-color']), {
        height: _variable2.default['checkbox-small-size-height'],
        width: _variable2.default['checkbox-small-size-width']
    }, (0, _mixin.alignCenter)()),
    "checkbox-wrap-empty-medium": _extends({}, _nukeCore2.default.border(_variable2.default['checkbox-normal-border-width'], _variable2.default['checkbox-normal-border-style'], _variable2.default['checkbox-normal-border-color']), {
        height: _variable2.default['checkbox-medium-size-height'],
        width: _variable2.default['checkbox-medium-size-width']
    }, (0, _mixin.alignCenter)()),
    "checkbox-wrap-list": _extends({}, _nukeCore2.default.border(0, _variable2.default['checkbox-normal-border-style'], _variable2.default['checkbox-normal-border-color']), (0, _mixin.alignCenter)()),
    "checkbox-wrap-list-small": _extends({
        height: _variable2.default['checkbox-small-size-height'],
        width: _variable2.default['checkbox-small-size-width']
    }, (0, _mixin.alignCenter)()),
    "checkbox-wrap-list-medium": _extends({
        height: _variable2.default['checkbox-medium-size-height'],
        width: _variable2.default['checkbox-medium-size-width']
    }, (0, _mixin.alignCenter)()),
    "checkbox-normal-checked": {
        borderColor: _variable2.default['checkbox-dark-border-color-selected'],
        color: _variable2.default['checkbox-normal-icon-color-selected'],
        backgroundColor: _variable2.default['checkbox-dark-bg-color-selected']
    },
    "checkbox-empty-checked": _extends({}, _nukeCore2.default.border('4rem', 'solid', _variable2.default['checkbox-dark-bg-color-selected']), {
        color: _variable2.default['checkbox-list-icon-color-selected'],
        backgroundColor: '#ffffff'
    }),
    "checkbox-list-checked": {
        color: _variable2.default['checkbox-list-icon-color-selected'],
        backgroundColor: '#ffffff'
    },
    "checkbox-disabled": {
        opacity: 1,
        borderColor: _variable2.default['checkbox-normal-border-color-disabled'],
        backgroundColor: _variable2.default['checkbox-normal-bg-color-disabled'],
        color: _variable2.default['checkbox-normal-icon-color-disabled']
    },
    "checkbox-list-disabled": {
        opacity: 1,
        backgroundColor: 'transparent',
        color: _variable2.default['checkbox-normal-icon-color-disabled']
    },
    'checkbox-medium': {
        backgroundColor: "transparent",
        fontSize: _variable2.default['checkbox-medium-icon-size'],
        lineHeight: _variable2.default['checkbox-medium-icon-size'],
        borderRadius: _variable2.default['checkbox-medium-icon-size']
    },
    "checkbox-small": {
        backgroundColor: "transparent",
        fontSize: _variable2.default['checkbox-small-icon-size'],
        borderRadius: _variable2.default['checkbox-small-icon-size'],
        lineHeight: _variable2.default['checkbox-small-icon-size'],
        marginTop: 1
    },
    "checkbox-group": {
        display: "flex",
        flexDirection: "row",
        marginTop: 5
    },
    "checkbox-group-small-text": {
        marginLeft: 5,
        lineHeight: _variable2.default['checkbox-small-touch-height']
    },
    "checkbox-group-medium-text": {
        marginLeft: 5,
        lineHeight: _variable2.default['checkbox-medium-touch-height']
    },
    "checkbox-touch-small": _extends({
        width: _variable2.default['checkbox-small-touch-width'],
        height: _variable2.default['checkbox-small-touch-height'],
        lineHeight: _variable2.default['checkbox-small-touch-height']
    }, (0, _mixin.alignCenter)()),
    "checkbox-touch-medium": _extends({
        width: _variable2.default['checkbox-medium-touch-width'],
        height: _variable2.default['checkbox-medium-touch-height'],
        lineHeight: _variable2.default['checkbox-medium-touch-height']
    }, (0, _mixin.alignCenter)())
};
module.exports = styles;