'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _view = require('./view.js');

var _view2 = _interopRequireDefault(_view);

var _text = require('./text.js');

var _text2 = _interopRequireDefault(_text);

var _image = require('./image.js');

var _image2 = _interopRequireDefault(_image);

var _textInput = require('./text-input.js');

var _textInput2 = _interopRequireDefault(_textInput);

var _switch = require('./switch.js');

var _switch2 = _interopRequireDefault(_switch);

var _video = require('./video.js');

var _video2 = _interopRequireDefault(_video);

var _scrollView = require('./scroll-view.js');

var _scrollView2 = _interopRequireDefault(_scrollView);

var _touchableHighlight = require('./touchable-highlight.js');

var _touchableHighlight2 = _interopRequireDefault(_touchableHighlight);

var _refreshControl = require('./refresh-control.js');

var _refreshControl2 = _interopRequireDefault(_refreshControl);

var _recyclerView = require('./recycler-view.js');

var _recyclerView2 = _interopRequireDefault(_recyclerView);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  View: _view2.default,
  Text: _text2.default,
  Image: _image2.default,
  TextInput: _textInput2.default,
  Switch: _switch2.default,
  Video: _video2.default,
  ScrollView: _scrollView2.default,
  RefreshControl: _refreshControl2.default,
  RecyclerView: _recyclerView2.default,
  TouchableHighlight: _touchableHighlight2.default,
  Touchable: _touchableHighlight2.default
};
module.exports = exports['default'];