'use strict';

var _module$exports;

var _nukeVarLoader = require('../../../nuke-var-loader/lib/index.js');

var _global = require('./_global.js');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

////
/// @group Variables 变量
/// @module icon: 图标
/// @type String
/// @category style
////


/// icon font path 字体路径
var iconFontPath = (0, _nukeVarLoader.varLoader)('icon-font-path', "//at.alicdn.com/t/font_1465717286_116059");

/// icon font name 自定义的icon font 名称
var iconFontName = (0, _nukeVarLoader.varLoader)('icon-font-name', "icon");

var iconFontFamily = (0, _nukeVarLoader.varLoader)('icon-font-family', 'mexticon');

/// Icon XXS
/// @export
var iconXxs = (0, _nukeVarLoader.varLoader)('icon-xxs', _global.s2);

/// Icon XS
/// @export
var iconXs = (0, _nukeVarLoader.varLoader)('icon-xs', _global.s3);

/// Icon S
/// @export
var iconS = (0, _nukeVarLoader.varLoader)('icon-s', _global.s4);

/// Icon M
/// @export
var iconM = (0, _nukeVarLoader.varLoader)('icon-m', _global.s5);

/// Icon L
/// @export
var iconL = (0, _nukeVarLoader.varLoader)('icon-l', _global.s6);

/// Icon XL
/// @export
var iconXl = (0, _nukeVarLoader.varLoader)('icon-xl', _global.s8);

/// Icon XXL
/// @export
var iconXxl = (0, _nukeVarLoader.varLoader)('icon-xxl', _global.s12);

/// Icon XXXL
/// @export
var iconXxxl = (0, _nukeVarLoader.varLoader)('icon-xxxl', _global.s16);

var iconContentAll = (0, _nukeVarLoader.varLoader)('icon-content-all', "\e600");
var iconContentCart = (0, _nukeVarLoader.varLoader)('icon-content-cart', "\e602");
var iconContentComments = (0, _nukeVarLoader.varLoader)('icon-content-comments', "\e605");
var iconContentCry = (0, _nukeVarLoader.varLoader)('icon-content-cry', "\e606");
var iconContentEmail = (0, _nukeVarLoader.varLoader)('icon-content-email', "\e609");
var iconContentFavorite = (0, _nukeVarLoader.varLoader)('icon-content-favorite', "\e60a");
var iconContentFolder = (0, _nukeVarLoader.varLoader)('icon-content-folder', "\e60b");
var iconContentForm = (0, _nukeVarLoader.varLoader)('icon-content-form', "\e60c");
var iconContentHelp = (0, _nukeVarLoader.varLoader)('icon-content-help', "\e60d");
var iconContentRefresh = (0, _nukeVarLoader.varLoader)('icon-content-refresh', "\e614");
var iconContentSet = (0, _nukeVarLoader.varLoader)('icon-content-set', "\e618");
var iconContentSurvey = (0, _nukeVarLoader.varLoader)('icon-content-survey', "\e61b");
var iconContentTraining = (0, _nukeVarLoader.varLoader)('icon-content-training', "\e61c");
var iconContentAccount = (0, _nukeVarLoader.varLoader)('icon-content-account', "\e621");
var iconContentAtm = (0, _nukeVarLoader.varLoader)('icon-content-atm', "\e623");
var iconContentClock = (0, _nukeVarLoader.varLoader)('icon-content-clock', "\e624");
var iconContentAttachment = (0, _nukeVarLoader.varLoader)('icon-content-attachment', "\e627");
var iconContent3column = (0, _nukeVarLoader.varLoader)('icon-content-3column', "\e628");
var iconContent4column = (0, _nukeVarLoader.varLoader)('icon-content-4column', "\e629");
var iconContentDiscount = (0, _nukeVarLoader.varLoader)('icon-content-discount', "\e62a");
var iconContentService = (0, _nukeVarLoader.varLoader)('icon-content-service', "\e62b");
var iconContentPrint = (0, _nukeVarLoader.varLoader)('icon-content-print', "\e62c");
var iconContentBox = (0, _nukeVarLoader.varLoader)('icon-content-box', "\e62d");
var iconContentProcess = (0, _nukeVarLoader.varLoader)('icon-content-process', "\e62e");
var iconContentBags = (0, _nukeVarLoader.varLoader)('icon-content-bags', "\e62f");
var iconContentElectronics = (0, _nukeVarLoader.varLoader)('icon-content-electronics', "\e633");
var iconContentGifts = (0, _nukeVarLoader.varLoader)('icon-content-gifts', "\e634");
var iconContentLights = (0, _nukeVarLoader.varLoader)('icon-content-lights', "\e636");
var iconContentAuto = (0, _nukeVarLoader.varLoader)('icon-content-auto', "\e639");
var iconContentBrowse = (0, _nukeVarLoader.varLoader)('icon-content-browse', "\e63c");
var iconContentAtmAway = (0, _nukeVarLoader.varLoader)('icon-content-atm-away', "\e63f");
var iconContentScanning = (0, _nukeVarLoader.varLoader)('icon-content-scanning', "\e641");
var iconContentCompare = (0, _nukeVarLoader.varLoader)('icon-content-compare', "\e642");
var iconContentFilter = (0, _nukeVarLoader.varLoader)('icon-content-filter', "\e643");
var iconContentPin = (0, _nukeVarLoader.varLoader)('icon-content-pin', "\e644");
var iconContentHistory = (0, _nukeVarLoader.varLoader)('icon-content-history', "\e645");
var iconContentSimilarProduct = (0, _nukeVarLoader.varLoader)('icon-content-similar-product', "\e648");
var iconContentLink = (0, _nukeVarLoader.varLoader)('icon-content-link', "\e649");
var iconContentCut = (0, _nukeVarLoader.varLoader)('icon-content-cut', "\e64a");
var iconContentTable = (0, _nukeVarLoader.varLoader)('icon-content-table', "\e64b");
var iconContentNavList = (0, _nukeVarLoader.varLoader)('icon-content-nav-list', "\e64c");
var iconContentImageText = (0, _nukeVarLoader.varLoader)('icon-content-image-text', "\e64d");
var iconContentText = (0, _nukeVarLoader.varLoader)('icon-content-text', "\e64e");
var iconContentMove = (0, _nukeVarLoader.varLoader)('icon-content-move', "\e64f");
var iconContentSubtract = (0, _nukeVarLoader.varLoader)('icon-content-subtract', "\e650");
var iconContentDollar = (0, _nukeVarLoader.varLoader)('icon-content-dollar', "\e651");
var iconContentOffice = (0, _nukeVarLoader.varLoader)('icon-content-office', "\e653");
var iconContentOperation = (0, _nukeVarLoader.varLoader)('icon-content-operation', "\e65a");
var iconContentDownload = (0, _nukeVarLoader.varLoader)('icon-content-download', "\e65c");
var iconContentMap = (0, _nukeVarLoader.varLoader)('icon-content-map', "\e65d");
var iconContentBad = (0, _nukeVarLoader.varLoader)('icon-content-bad', "\e65e");
var iconContentGood = (0, _nukeVarLoader.varLoader)('icon-content-good', "\e65f");
var iconContentSkip = (0, _nukeVarLoader.varLoader)('icon-content-skip', "\e660");
var iconContentPlay = (0, _nukeVarLoader.varLoader)('icon-content-play', "\e661");
var iconContentStop = (0, _nukeVarLoader.varLoader)('icon-content-stop', "\e662");
var iconContentCompass = (0, _nukeVarLoader.varLoader)('icon-content-compass', "\e663");
var iconContentSecurity = (0, _nukeVarLoader.varLoader)('icon-content-security', "\e664");
var iconContentShare = (0, _nukeVarLoader.varLoader)('icon-content-share', "\e665");
var iconContentStore = (0, _nukeVarLoader.varLoader)('icon-content-store', "\e666");
var iconContentPhone = (0, _nukeVarLoader.varLoader)('icon-content-phone', "\e669");
var iconContentEllipsis = (0, _nukeVarLoader.varLoader)('icon-content-ellipsis', "\e674");
var iconContentEmailFilling = (0, _nukeVarLoader.varLoader)('icon-content-email-filling', "\e66d");
var iconContentFavoritesFilling = (0, _nukeVarLoader.varLoader)('icon-content-favorites-filling', "\e66e");
var iconContentAccountFilling = (0, _nukeVarLoader.varLoader)('icon-content-account-filling', "\e66f");
var iconContentCreditLevel = (0, _nukeVarLoader.varLoader)('icon-content-credit-level', "\e671");
var iconContentCreditLevelFilling = (0, _nukeVarLoader.varLoader)('icon-content-credit-level-filling', "\e672");
var iconContentMobilePhone = (0, _nukeVarLoader.varLoader)('icon-content-mobile-phone', "\e675");
var iconContentSmile = (0, _nukeVarLoader.varLoader)('icon-content-smile', "\e61f");
var iconContentPersonalCenter = (0, _nukeVarLoader.varLoader)('icon-content-personal-center', "\e681");
var iconContentArrowUpFilling = (0, _nukeVarLoader.varLoader)('icon-content-arrow-up-filling', "\e601");
var iconContentArrowRight = (0, _nukeVarLoader.varLoader)('icon-content-arrow-right', "\e603");
var iconContentArrowLeft = (0, _nukeVarLoader.varLoader)('icon-content-arrow-left', "\e604");
var iconContentArrowDown = (0, _nukeVarLoader.varLoader)('icon-content-arrow-down', "\e607");
var iconContentArrowUp = (0, _nukeVarLoader.varLoader)('icon-content-arrow-up', "\e60e");
var iconContentAdd = (0, _nukeVarLoader.varLoader)('icon-content-add', "\e60f");
var iconContentMinus = (0, _nukeVarLoader.varLoader)('icon-content-minus', "\e610");
var iconContentDeleteFilling = (0, _nukeVarLoader.varLoader)('icon-content-delete-filling', "\e611");
var iconContentEdit = (0, _nukeVarLoader.varLoader)('icon-content-edit', "\e613");
var iconContentLoading = (0, _nukeVarLoader.varLoader)('icon-content-loading', "\e615");
var iconContentError = (0, _nukeVarLoader.varLoader)('icon-content-error', "\e619");
var iconContentSelect = (0, _nukeVarLoader.varLoader)('icon-content-select', "\e61d");
var iconContentAshbin = (0, _nukeVarLoader.varLoader)('icon-content-ashbin', "\e61e");
var iconContentCalendar = (0, _nukeVarLoader.varLoader)('icon-content-calendar', "\e620");
var iconContentTime = (0, _nukeVarLoader.varLoader)('icon-content-time', "\e622");
var iconContentSuccess = (0, _nukeVarLoader.varLoader)('icon-content-success', "\e617");
var iconContentWarning = (0, _nukeVarLoader.varLoader)('icon-content-warning', "\e63d");
var iconContentSearch = (0, _nukeVarLoader.varLoader)('icon-content-search', "\e656");
var iconContentDisplay = (0, _nukeVarLoader.varLoader)('icon-content-display', "\e657");
var iconContentCategory = (0, _nukeVarLoader.varLoader)('icon-content-category', "\e658");
var iconContentPrompt = (0, _nukeVarLoader.varLoader)('icon-content-prompt', "\e659");
var iconContentArrowDownFilling = (0, _nukeVarLoader.varLoader)('icon-content-arrow-down-filling', "\e65b");
var iconContentSorting = (0, _nukeVarLoader.varLoader)('icon-content-sorting', "\e676");
var iconContentAscending = (0, _nukeVarLoader.varLoader)('icon-content-ascending', "\e66a");
var iconContentDescending = (0, _nukeVarLoader.varLoader)('icon-content-descending', "\e66c");
var iconContentSuccessFilling = (0, _nukeVarLoader.varLoader)('icon-content-success-filling', "\e670");
var iconContentPicture = (0, _nukeVarLoader.varLoader)('icon-content-picture', "\e616");
var iconContentClose = (0, _nukeVarLoader.varLoader)('icon-content-close', "\e608");
var iconContentSemiSelect = (0, _nukeVarLoader.varLoader)('icon-content-semi-select', "\e612");
var iconContentTagSubscript = (0, _nukeVarLoader.varLoader)('icon-content-tag-subscript', "\e61a");

module.exports = (_module$exports = {}, _defineProperty(_module$exports, 'icon-font-path', iconFontPath), _defineProperty(_module$exports, 'icon-font-name', iconFontName), _defineProperty(_module$exports, 'icon-font-family', iconFontFamily), _defineProperty(_module$exports, 'icon-xxs', iconXxs), _defineProperty(_module$exports, 'icon-xs', iconXs), _defineProperty(_module$exports, 'icon-s', iconS), _defineProperty(_module$exports, 'icon-m', iconM), _defineProperty(_module$exports, 'icon-l', iconL), _defineProperty(_module$exports, 'icon-xl', iconXl), _defineProperty(_module$exports, 'icon-xxl', iconXxl), _defineProperty(_module$exports, 'icon-xxxl', iconXxxl), _defineProperty(_module$exports, 'icon-content-all', iconContentAll), _defineProperty(_module$exports, 'icon-content-cart', iconContentCart), _defineProperty(_module$exports, 'icon-content-comments', iconContentComments), _defineProperty(_module$exports, 'icon-content-cry', iconContentCry), _defineProperty(_module$exports, 'icon-content-email', iconContentEmail), _defineProperty(_module$exports, 'icon-content-favorite', iconContentFavorite), _defineProperty(_module$exports, 'icon-content-folder', iconContentFolder), _defineProperty(_module$exports, 'icon-content-form', iconContentForm), _defineProperty(_module$exports, 'icon-content-help', iconContentHelp), _defineProperty(_module$exports, 'icon-content-refresh', iconContentRefresh), _defineProperty(_module$exports, 'icon-content-set', iconContentSet), _defineProperty(_module$exports, 'icon-content-survey', iconContentSurvey), _defineProperty(_module$exports, 'icon-content-training', iconContentTraining), _defineProperty(_module$exports, 'icon-content-account', iconContentAccount), _defineProperty(_module$exports, 'icon-content-atm', iconContentAtm), _defineProperty(_module$exports, 'icon-content-clock', iconContentClock), _defineProperty(_module$exports, 'icon-content-attachment', iconContentAttachment), _defineProperty(_module$exports, 'icon-content-3column', iconContent3column), _defineProperty(_module$exports, 'icon-content-4column', iconContent4column), _defineProperty(_module$exports, 'icon-content-discount', iconContentDiscount), _defineProperty(_module$exports, 'icon-content-service', iconContentService), _defineProperty(_module$exports, 'icon-content-print', iconContentPrint), _defineProperty(_module$exports, 'icon-content-box', iconContentBox), _defineProperty(_module$exports, 'icon-content-process', iconContentProcess), _defineProperty(_module$exports, 'icon-content-bags', iconContentBags), _defineProperty(_module$exports, 'icon-content-electronics', iconContentElectronics), _defineProperty(_module$exports, 'icon-content-gifts', iconContentGifts), _defineProperty(_module$exports, 'icon-content-lights', iconContentLights), _defineProperty(_module$exports, 'icon-content-auto', iconContentAuto), _defineProperty(_module$exports, 'icon-content-browse', iconContentBrowse), _defineProperty(_module$exports, 'icon-content-atm-away', iconContentAtmAway), _defineProperty(_module$exports, 'icon-content-scanning', iconContentScanning), _defineProperty(_module$exports, 'icon-content-compare', iconContentCompare), _defineProperty(_module$exports, 'icon-content-filter', iconContentFilter), _defineProperty(_module$exports, 'icon-content-pin', iconContentPin), _defineProperty(_module$exports, 'icon-content-history', iconContentHistory), _defineProperty(_module$exports, 'icon-content-similar-product', iconContentSimilarProduct), _defineProperty(_module$exports, 'icon-content-link', iconContentLink), _defineProperty(_module$exports, 'icon-content-cut', iconContentCut), _defineProperty(_module$exports, 'icon-content-table', iconContentTable), _defineProperty(_module$exports, 'icon-content-nav-list', iconContentNavList), _defineProperty(_module$exports, 'icon-content-image-text', iconContentImageText), _defineProperty(_module$exports, 'icon-content-text', iconContentText), _defineProperty(_module$exports, 'icon-content-move', iconContentMove), _defineProperty(_module$exports, 'icon-content-subtract', iconContentSubtract), _defineProperty(_module$exports, 'icon-content-dollar', iconContentDollar), _defineProperty(_module$exports, 'icon-content-office', iconContentOffice), _defineProperty(_module$exports, 'icon-content-operation', iconContentOperation), _defineProperty(_module$exports, 'icon-content-download', iconContentDownload), _defineProperty(_module$exports, 'icon-content-map', iconContentMap), _defineProperty(_module$exports, 'icon-content-bad', iconContentBad), _defineProperty(_module$exports, 'icon-content-good', iconContentGood), _defineProperty(_module$exports, 'icon-content-skip', iconContentSkip), _defineProperty(_module$exports, 'icon-content-play', iconContentPlay), _defineProperty(_module$exports, 'icon-content-stop', iconContentStop), _defineProperty(_module$exports, 'icon-content-compass', iconContentCompass), _defineProperty(_module$exports, 'icon-content-security', iconContentSecurity), _defineProperty(_module$exports, 'icon-content-share', iconContentShare), _defineProperty(_module$exports, 'icon-content-store', iconContentStore), _defineProperty(_module$exports, 'icon-content-phone', iconContentPhone), _defineProperty(_module$exports, 'icon-content-ellipsis', iconContentEllipsis), _defineProperty(_module$exports, 'icon-content-email-filling', iconContentEmailFilling), _defineProperty(_module$exports, 'icon-content-favorites-filling', iconContentFavoritesFilling), _defineProperty(_module$exports, 'icon-content-account-filling', iconContentAccountFilling), _defineProperty(_module$exports, 'icon-content-credit-level', iconContentCreditLevel), _defineProperty(_module$exports, 'icon-content-credit-level-filling', iconContentCreditLevelFilling), _defineProperty(_module$exports, 'icon-content-mobile-phone', iconContentMobilePhone), _defineProperty(_module$exports, 'icon-content-smile', iconContentSmile), _defineProperty(_module$exports, 'icon-content-personal-center', iconContentPersonalCenter), _defineProperty(_module$exports, 'icon-content-arrow-up-filling', iconContentArrowUpFilling), _defineProperty(_module$exports, 'icon-content-arrow-right', iconContentArrowRight), _defineProperty(_module$exports, 'icon-content-arrow-left', iconContentArrowLeft), _defineProperty(_module$exports, 'icon-content-arrow-down', iconContentArrowDown), _defineProperty(_module$exports, 'icon-content-arrow-up', iconContentArrowUp), _defineProperty(_module$exports, 'icon-content-add', iconContentAdd), _defineProperty(_module$exports, 'icon-content-minus', iconContentMinus), _defineProperty(_module$exports, 'icon-content-delete-filling', iconContentDeleteFilling), _defineProperty(_module$exports, 'icon-content-edit', iconContentEdit), _defineProperty(_module$exports, 'icon-content-loading', iconContentLoading), _defineProperty(_module$exports, 'icon-content-error', iconContentError), _defineProperty(_module$exports, 'icon-content-select', iconContentSelect), _defineProperty(_module$exports, 'icon-content-ashbin', iconContentAshbin), _defineProperty(_module$exports, 'icon-content-calendar', iconContentCalendar), _defineProperty(_module$exports, 'icon-content-time', iconContentTime), _defineProperty(_module$exports, 'icon-content-success', iconContentSuccess), _defineProperty(_module$exports, 'icon-content-warning', iconContentWarning), _defineProperty(_module$exports, 'icon-content-search', iconContentSearch), _defineProperty(_module$exports, 'icon-content-display', iconContentDisplay), _defineProperty(_module$exports, 'icon-content-category', iconContentCategory), _defineProperty(_module$exports, 'icon-content-prompt', iconContentPrompt), _defineProperty(_module$exports, 'icon-content-arrow-down-filling', iconContentArrowDownFilling), _defineProperty(_module$exports, 'icon-content-sorting', iconContentSorting), _defineProperty(_module$exports, 'icon-content-ascending', iconContentAscending), _defineProperty(_module$exports, 'icon-content-descending', iconContentDescending), _defineProperty(_module$exports, 'icon-content-success-filling', iconContentSuccessFilling), _defineProperty(_module$exports, 'icon-content-picture', iconContentPicture), _defineProperty(_module$exports, 'icon-content-close', iconContentClose), _defineProperty(_module$exports, 'icon-content-semi-select', iconContentSemiSelect), _defineProperty(_module$exports, 'icon-content-tag-subscript', iconContentTagSubscript), _module$exports);