'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _easeIn = require('./easeIn.js');

var _easeIn2 = _interopRequireDefault(_easeIn);

var _easeOut = require('./easeOut.js');

var _easeOut2 = _interopRequireDefault(_easeOut);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (power) {
  return function (t) {

    if (t < .5) {
      return (0, _easeIn2.default)(power)(t * 2) / 2;
    } else {
      return (0, _easeOut2.default)(power)(t * 2 - 1) / 2 + 0.5;
    }
  };
};

module.exports = exports['default'];