'use strict';

var _module$exports;

var _nukeVarLoader = require('../../nuke-var-loader/lib/index.js');

var _nukeCore = require('../../nuke-core/lib/nuke.js');

var _nukeCore2 = _interopRequireDefault(_nukeCore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

////
/// @module picker: 选择器
/// @tag Picker
/// @category component
/// @family selector
/// @varPrefix $picker-
/// @classPrefix {prefix}-picker
////

/// height
/// @namespace size/toolbar
var pickerToolbarHeight = (0, _nukeVarLoader.varLoader)('picker-toolbar-height', _nukeCore2.default['s11']);
/// padding(l, r)
/// @namespace size/toolbar
var pickerToolbarPaddingLr = (0, _nukeVarLoader.varLoader)('picker-toolbar-padding-lr', _nukeCore2.default['s3']);
/// text
/// @namespace size/title
var pickerToolbarTitleFontSize = (0, _nukeVarLoader.varLoader)('picker-toolbar-title-font-size', _nukeCore2.default['font-size-base-body1']);
/// text
/// @namespace size/button
var pickerToolbarButtonFontSize = (0, _nukeVarLoader.varLoader)('picker-toolbar-button-font-size', _nukeCore2.default['font-size-base-subhead']);

/// border-width
/// @namespace size/toolbar
var pickerToolbarLineWidth = (0, _nukeVarLoader.varLoader)('picker-toolbar-line-width', _nukeCore2.default['line-1-width']);
/// height
/// @namespace size/item
var pickerItemHeight = (0, _nukeVarLoader.varLoader)('picker-item-height', _nukeCore2.default['s11']);
/// text-current
/// @namespace size/item
var pickerItemFontSize = (0, _nukeVarLoader.varLoader)('picker-item-font-size', _nukeCore2.default['font-size-base-body2']);
/// text-others
/// @namespace size/item
var pickerIndicatorFontSize = (0, _nukeVarLoader.varLoader)('picker-indicator-font-size', _nukeCore2.default['font-size-base-body2']);

/// background
/// @namespace statement
var pickerBackgroundColor = (0, _nukeVarLoader.varLoader)('picker-background-color', _nukeCore2.default['color-n1-1']);
/// title
/// @namespace statement
var pickerToolbarTitleColor = (0, _nukeVarLoader.varLoader)('picker-toolbar-title-color', _nukeCore2.default['color-n2-3']);
/// button(l)
/// @namespace statement
var pickerToolbarCancelColor = (0, _nukeVarLoader.varLoader)('picker-toolbar-cancel-color', _nukeCore2.default['color-b1-6']);
/// button(r)
/// @namespace statement
var pickerToolbarDoneColor = (0, _nukeVarLoader.varLoader)('picker-toolbar-done-color', _nukeCore2.default['color-b1-6']);
/// toolbar-background
/// @namespace statement
var pickerToolbarBackgroundColor = (0, _nukeVarLoader.varLoader)('picker-toolbar-background-color', _nukeCore2.default['color-n1-1']);
/// item-current
/// @namespace statement
var pickerIndicatorTextColor = (0, _nukeVarLoader.varLoader)('picker-indicator-text-color', _nukeCore2.default['color-n1-9']);
/// item-others
/// @namespace statement
var pickerItemTextColor = (0, _nukeVarLoader.varLoader)('picker-item-text-color', _nukeCore2.default['color-n1-9']);
/// item-border
/// @namespace statement
var pickerIndicatorLineColor = (0, _nukeVarLoader.varLoader)('picker-indicator-line-color', _nukeCore2.default['color-n1-7']);
/// toolbar-border
/// @namespace statement
var pickerToolbarLineColor = (0, _nukeVarLoader.varLoader)('picker-toolbar-line-color', _nukeCore2.default['color-n1-4']);

var pickerIndicatorFontWeight = (0, _nukeVarLoader.varLoader)('picker-indicator-font-weight', _nukeCore2.default['font-weight-core-medium']);
var pickerToolbarLineStyle = (0, _nukeVarLoader.varLoader)('picker-toolbar-line-style', _nukeCore2.default['line-solid']);

var pickerHeight = (0, _nukeVarLoader.varLoader)('picker-height', pickerItemHeight * 5);
var pickerContentPaddingLr = (0, _nukeVarLoader.varLoader)('picker-content-padding-lr', _nukeCore2.default['s3']);

var pickerItemLineColor = (0, _nukeVarLoader.varLoader)('picker-item-line-color', _nukeCore2.default['color-n1-7']);
module.exports = (_module$exports = {}, _defineProperty(_module$exports, 'picker-toolbar-height', pickerToolbarHeight), _defineProperty(_module$exports, 'picker-toolbar-padding-lr', pickerToolbarPaddingLr), _defineProperty(_module$exports, 'picker-toolbar-title-font-size', pickerToolbarTitleFontSize), _defineProperty(_module$exports, 'picker-toolbar-button-font-size', pickerToolbarButtonFontSize), _defineProperty(_module$exports, 'picker-toolbar-line-width', pickerToolbarLineWidth), _defineProperty(_module$exports, 'picker-item-height', pickerItemHeight), _defineProperty(_module$exports, 'picker-item-font-size', pickerItemFontSize), _defineProperty(_module$exports, 'picker-indicator-font-size', pickerIndicatorFontSize), _defineProperty(_module$exports, 'picker-background-color', pickerBackgroundColor), _defineProperty(_module$exports, 'picker-toolbar-title-color', pickerToolbarTitleColor), _defineProperty(_module$exports, 'picker-toolbar-cancel-color', pickerToolbarCancelColor), _defineProperty(_module$exports, 'picker-toolbar-done-color', pickerToolbarDoneColor), _defineProperty(_module$exports, 'picker-toolbar-background-color', pickerToolbarBackgroundColor), _defineProperty(_module$exports, 'picker-indicator-text-color', pickerIndicatorTextColor), _defineProperty(_module$exports, 'picker-item-text-color', pickerItemTextColor), _defineProperty(_module$exports, 'picker-indicator-line-color', pickerIndicatorLineColor), _defineProperty(_module$exports, 'picker-toolbar-line-color', pickerToolbarLineColor), _defineProperty(_module$exports, 'picker-indicator-font-weight', pickerIndicatorFontWeight), _defineProperty(_module$exports, 'picker-toolbar-line-style', pickerToolbarLineStyle), _defineProperty(_module$exports, 'picker-height', pickerHeight), _defineProperty(_module$exports, 'picker-content-padding-lr', pickerContentPaddingLr), _defineProperty(_module$exports, 'picker-item-line-color', pickerItemLineColor), _module$exports);