'use strict';

var _styles;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _nukeVarLoader = require('../../nuke-var-loader/lib/index.js');

var _nukeCore = require('../../nuke-core/lib/nuke.js');

var _nukeCore2 = _interopRequireDefault(_nukeCore);

var _mixin = require('./mixin.js');

var _variable = require('./variable.js');

var _variable2 = _interopRequireDefault(_variable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var styles = (_styles = {
  button: _extends({}, _nukeCore2.default.padding('15px'), {
    backgroundColor: 'transparent',
    cursor: 'pointer',
    justifyContent: 'center',
    flexDirection: 'row',
    alignSelf: 'center',
    alignItems: 'center'
  }),

  large: _extends({}, (0, _mixin.buttonSize)(_variable2.default['size-l-padding-lr'], _variable2.default['size-l-height'], _variable2.default['size-l-font'], _variable2.default['icon-size-l'], _variable2.default['icon-l-margin-lr'], _variable2.default['corner-l'], _variable2.default['size-border-width-l'])),
  small: _extends({}, (0, _mixin.buttonSize)(_variable2.default['size-s-padding-lr'], _variable2.default['size-s-height'], _variable2.default['size-s-font'], _variable2.default['icon-size-s'], _variable2.default['icon-s-margin-lr'], _variable2.default['corner-s'], _variable2.default['size-border-width-s'])),
  medium: _extends({}, (0, _mixin.buttonSize)(_variable2.default['size-m-padding-lr'], _variable2.default['size-m-height'], _variable2.default['size-m-font'], _variable2.default['icon-size-m'], _variable2.default['icon-m-margin-lr'], _variable2.default['corner-m'], _variable2.default['size-border-width-m'])),
  // primary: {
  //   borderStyle: Variables[`normal-line-style`],
  //   ...buttonColor(
  //     Variables[`primary-color`],
  //     Variables[`primary-active-color`],
  //     Variables[`primary-bg-color`],
  //     Variables[`primary-active-bg-color`],
  //     Variables[`primary-border-color`],
  //     Variables[`primary-active-border-color`]
  //   )
  // },

  // normal: {
  //   borderStyle: Variables[`normal-line-style`],
  //   ...buttonColor(
  //     Variables[`normal-color`],
  //     Variables[`normal-active-color`],
  //     Variables[`normal-bg-color`],
  //     Variables[`normal-active-bg-color`],
  //     Variables[`normal-border-color`],
  //     Variables[`normal-active-border-color`]
  //   )
  // },
  block: {
    alignSelf: 'stretch'
  },
  rect: {
    borderRadius: 0
  },

  normal: _extends({}, (0, _mixin.buttonColor)(_variable2.default['normal-color'], _variable2.default['normal-active-color'], _variable2.default['normal-bg-color'], _variable2.default['normal-active-bg-color'], _variable2.default['normal-border-color'], _variable2.default['normal-active-border-color'])),
  primary: _extends({}, (0, _mixin.buttonImage)(_variable2.default['primary-color'], _variable2.default['primary-active-color'], _variable2.default['primary-bg-image'], _variable2.default['primary-active-bg-image'], _variable2.default['primary-border-color'], _variable2.default['primary-active-border-color'], null, true)),

  warning: _extends({
    borderStyle: _variable2.default['warning-line-style']

  }, (0, _mixin.buttonColor)(_variable2.default['warning-color'], _variable2.default['warning-active-color'], _variable2.default['warning-bg-color'], _variable2.default['warning-active-bg-color'], _variable2.default['warning-border-color'], _variable2.default['warning-active-border-color'])),
  disabled: _extends({}, (0, _mixin.buttonDisabled)(_variable2.default['disabled-color'], _variable2.default['disabled-bg-color'], _variable2.default['disabled-border-color'], 1))
}, _defineProperty(_styles, 'normal-disabled', _extends({}, (0, _mixin.buttonDisabled)(_variable2.default['normal-disabled-color'], _variable2.default['normal-disabled-bg-color'], _variable2.default['normal-disabled-border-color'], 1))), _defineProperty(_styles, 'group', {
  maxWidth: '750rem',
  flexDirection: 'row'
}), _defineProperty(_styles, 'group-button', {
  flex: 1,
  marginRight: _variable2.default['group-margin']
}), _defineProperty(_styles, 'group-button-last', {
  marginRight: 0
}), _defineProperty(_styles, 'group-block', {
  flexDirection: 'column'
}), _defineProperty(_styles, 'group-block-button', {
  alignSelf: 'stretch'
}), _defineProperty(_styles, 'group-button-rect', {
  marginRight: 0,
  borderRadius: 0
}), _styles);
module.exports = styles;