'use strict';

var _placeholder, _input, _buttonText, _module$exports;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _nukeVarLoader = require('../../nuke-var-loader/lib/index.js');

var _nukeCore = require('../../nuke-core/lib/nuke.js');

var _nukeCore2 = _interopRequireDefault(_nukeCore);

var _variable = require('./variable.js');

var _variable2 = _interopRequireDefault(_variable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

module.exports = (_module$exports = {}, _defineProperty(_module$exports, 'search-bar-wrap', _extends({
  height: _variable2.default['search-bar-height']
}, _nukeCore2.default.border(_variable2.default['search-bar-border-width'], _variable2.default['search-bar-border-style'], 'transparent', 'bottom'), _nukeCore2.default.padding(0, _variable2.default['search-bar-padding-left-right']), {
  backgroundColor: _variable2.default['search-bar-bg-color'],
  flexDirection: 'row',
  alignItems: 'center',
  justifyContent: 'center'
})), _defineProperty(_module$exports, 'body', _extends({
  justifyContent: 'flex-start',
  borderRadius: _variable2.default['search-bar-border-radius'] + 'rem',
  backgroundColor: _variable2.default['search-bar-input-bg-color'],
  height: _variable2.default['search-bar-body-height']
}, _nukeCore2.default.padding(0, _variable2.default['search-bar-input-padding-left']), {
  flexDirection: 'row',
  flex: 1
})), _defineProperty(_module$exports, 'body-centered', {
  justifyContent: 'center'
}), _defineProperty(_module$exports, 'icon', {
  // margin-right: $search-bar-icon-margin-right;
  marginRight: _variable2.default['search-bar-icon-margin-right'],
  marginLeft: _variable2.default['search-bar-icon-margin-left'],

  color: _variable2.default['search-bar-placeholder-color'],
  fontSize: _variable2.default['search-bar-icon-size']
}), _defineProperty(_module$exports, 'placeholder', (_placeholder = {
  position: 'absolute',
  height: _variable2.default['search-bar-body-height']
}, _defineProperty(_placeholder, 'z-index', 1), _defineProperty(_placeholder, 'width', '100%'), _defineProperty(_placeholder, 'color', _variable2.default['search-bar-placeholder-color']), _defineProperty(_placeholder, 'fontSize', _variable2.default['search-bar-font-size'] + 'rem'), _defineProperty(_placeholder, 'flexDirection', 'row'), _defineProperty(_placeholder, 'justifyContent', 'flex-start'), _defineProperty(_placeholder, 'alignItems', 'center'), _placeholder)), _defineProperty(_module$exports, 'input', (_input = {
  fontSize: _variable2.default['search-bar-font-size'] + 'rem',
  color: _variable2.default['search-bar-color'],
  backgroundColor: _variable2.default['search-bar-input-bg-color'],
  border: 'none',
  paddingLeft: 0,
  flex: 1
}, _defineProperty(_input, 'z-index', 2), _defineProperty(_input, 'backgroundColor', 'transparent'), _defineProperty(_input, 'borderWidth', 0), _defineProperty(_input, 'paddingLeft', _variable2.default['search-bar-icon-size']), _input)), _defineProperty(_module$exports, 'button', _extends({
  height: '100%'

}, _nukeCore2.default.padding(0, _variable2.default['search-bar-cancel-margin-left'], 0, _variable2.default['search-bar-cancel-margin-left']), {
  alignItems: 'center',
  flexDirection: 'row'
})), _defineProperty(_module$exports, 'button-text', (_buttonText = {
  color: '#333333'
}, _defineProperty(_buttonText, 'color:active', '#666666'), _defineProperty(_buttonText, 'fontSize', _variable2.default['search-bar-font-size'] + 'rem'), _buttonText)), _module$exports);