'use strict';

var _module$exports;

var _nukeVarLoader = require('../../nuke-var-loader/lib/index.js');

var _nukeCore = require('../../nuke-core/lib/nuke.js');

var _nukeCore2 = _interopRequireDefault(_nukeCore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

////
/// @module button: 滑动tab
/// @tag tabSlider
/// @category component
/// @family tabSlider
/// @varPrefix $tabSlider-
/// @classPrefix {prefix}-tabSlider
////

/// background
/// @namespace statements
var tabSliderNavitemtitleColor = (0, _nukeVarLoader.varLoader)('tab-slider-navItem-title-color', _nukeCore2.default['color-n2-3']);
/// background
/// @namespace statements
var tabSliderNavbarBorderWidth = (0, _nukeVarLoader.varLoader)('tab-slider-navBar-border-width', _nukeCore2.default['line-1-width']);
/// @namespace statements
var tabSliderNavbarBorderColor = (0, _nukeVarLoader.varLoader)('tab-slider-navBar-border-color', _nukeCore2.default['color-n1-5']);
/// @namespace statements
var tabSliderNavbarBorderStyle = (0, _nukeVarLoader.varLoader)('tab-slider-navBar-border-style', _nukeCore2.default['line-solid']);

/// @namespace statements
var tabSliderSelectfontColor = (0, _nukeVarLoader.varLoader)('tab-slider-selectFont-color', _nukeCore2.default['color-b1-6']);
/// @namespace statements
var tabSliderIconMarginBottom = (0, _nukeVarLoader.varLoader)('tab-slider-icon-margin-bottom', '2px');

module.exports = (_module$exports = {}, _defineProperty(_module$exports, 'tab-slider-navItem-title-color', tabSliderNavitemtitleColor), _defineProperty(_module$exports, 'tab-slider-navBar-border-width', tabSliderNavbarBorderWidth), _defineProperty(_module$exports, 'tab-slider-navBar-border-color', tabSliderNavbarBorderColor), _defineProperty(_module$exports, 'tab-slider-navBar-border-style', tabSliderNavbarBorderStyle), _defineProperty(_module$exports, 'tab-slider-selectFont-color', tabSliderSelectfontColor), _defineProperty(_module$exports, 'tab-slider-icon-margin-bottom', tabSliderIconMarginBottom), _module$exports);