'use strict';

var _module$exports;

var _nukeVarLoader = require('../../../nuke-var-loader/lib/index.js');

var _nukeCore = require('../../../nuke-core/lib/nuke.js');

var _nukeCore2 = _interopRequireDefault(_nukeCore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

////
/// @module tab: 选项卡
/// @tag Tab
/// @category component
/// @family tab
/// @varPrefix $tab-
/// @classPrefix {prefix}-tab
////

/// padding(l,r)
/// @namespace size/item
var tabIconItemPaddingLeftRight = (0, _nukeVarLoader.varLoader)('tab-icon-item-padding-left-right', _nukeCore2.default['s2']);
/// height
/// @namespace size/bounding
var tabIconHeight = (0, _nukeVarLoader.varLoader)('tab-icon-height', _nukeCore2.default['s16']);
/// icon-margin(b)
/// @namespace size/item
var tabIconItemIconMarginBottom = (0, _nukeVarLoader.varLoader)('tab-icon-item-icon-margin-bottom', _nukeCore2.default['s2']);
/// icon-size
/// @namespace size/item
var tabIconItemIconSize = (0, _nukeVarLoader.varLoader)('tab-icon-item-icon-size', _nukeCore2.default['icon-xl']);
/// icon
/// @namespace statement
var tabIconItemIconColor = (0, _nukeVarLoader.varLoader)('tab-icon-item-icon-color', _nukeCore2.default['color-n2-2']);
/// icon
/// @namespace statement/selected
var tabIconItemSelectedIconColor = (0, _nukeVarLoader.varLoader)('tab-icon-item-selected-icon-color', _nukeCore2.default['color-b1-6']);
/// text
/// @namespace statement/selected
var tabIconItemSelectedColor = (0, _nukeVarLoader.varLoader)('tab-icon-item-selected-color', _nukeCore2.default['color-b1-6']);
/// text
/// @namespace statement
var tabIconItemColor = (0, _nukeVarLoader.varLoader)('tab-icon-item-color', _nukeCore2.default['color-n2-2']);
/// text
/// @namespace size/text
var tabIconItemFontSize = (0, _nukeVarLoader.varLoader)('tab-icon-item-font-size', _nukeCore2.default['font-size-base-body1']);
/// background
/// @namespace statement
var tabIconItemBgColor = (0, _nukeVarLoader.varLoader)('tab-icon-item-bg-color', _nukeCore2.default['color-n1-1']);

/// padding(l,r)
/// @namespace size/content
var tabBarContentPaddingLeftRight = (0, _nukeVarLoader.varLoader)('tab-bar-content-padding-left-right', _nukeCore2.default['s2']);

/// padding(t,b)
/// @namespace size/content
var tabBarContentPaddingTopBottom = (0, _nukeVarLoader.varLoader)('tab-bar-content-padding-top-bottom', _nukeCore2.default['s0']);

/// margin(t)
/// @namespace size/content
var tabBarContentMarginTop = (0, _nukeVarLoader.varLoader)('tab-bar-content-margin-top', _nukeCore2.default['s2']);

/// text
/// @namespace size/text
var tabBarItemFontSize = (0, _nukeVarLoader.varLoader)('tab-bar-item-font-size', _nukeCore2.default['font-size-base-body1']);
/// padding(l,r)
/// @namespace size/item
var tabBarItemPaddingLeftRight = (0, _nukeVarLoader.varLoader)('tab-bar-item-padding-left-right', _nukeCore2.default['s2']);

/// height
/// @namespace size/bounding
var tabBarItemHeight = (0, _nukeVarLoader.varLoader)('tab-bar-item-height', _nukeCore2.default['s11']);

/// padding(l,r)
/// @namespace size/item
var tabBarItemPaddingTopBottom = (0, _nukeVarLoader.varLoader)('tab-bar-item-padding-top-bottom', _nukeCore2.default['s4']);
/// bar-margin(b)
/// @namespace size/item
var tabBarItemBarMarginBottom = (0, _nukeVarLoader.varLoader)('tab-bar-item-bar-margin-bottom', _nukeCore2.default['s2']);
/// text
/// @namespace statement/selected
var tabBarItemSelectedColor = (0, _nukeVarLoader.varLoader)('tab-bar-item-selected-color', _nukeCore2.default['color-b1-6']);
/// text
/// @namespace statement
var tabBarItemColor = (0, _nukeVarLoader.varLoader)('tab-bar-item-color', _nukeCore2.default['color-n2-2']);
/// background
/// @namespace statement
var tabBarItemBgColor = (0, _nukeVarLoader.varLoader)('tab-bar-item-bg-color', _nukeCore2.default['color-n1-1']);
/// min-width
/// @namespace size/item
var tabBarItemMinWidth = (0, _nukeVarLoader.varLoader)('tab-bar-item-min-width', _nukeCore2.default['s20']);
/// width
/// @namespace size/separator
var tabBarItemSeparatorWidth = (0, _nukeVarLoader.varLoader)('tab-bar-item-separator-width', _nukeCore2.default['line-1-width']);
/// height
/// @namespace size/separator
var tabBarItemSeparatorHeight = (0, _nukeVarLoader.varLoader)('tab-bar-item-separator-height', _nukeCore2.default['s4']);
/// item-separator
/// @namespace statement
var tabBarItemSeparatorColor = (0, _nukeVarLoader.varLoader)('tab-bar-item-separator-color', _nukeCore2.default['color-n2-1']);
/// item-separator-style
/// @namespace statement
var tabBarItemSeparatorStyle = (0, _nukeVarLoader.varLoader)('tab-bar-item-separator-style', _nukeCore2.default['line-solid']);

/// border
/// @namespace statement
var tabBarBorderBottomColor = (0, _nukeVarLoader.varLoader)('tab-bar-border-bottom-color', _nukeCore2.default['color-n1-7']);
/// width
/// @namespace size/border
var tabBarBorderBottomWidth = (0, _nukeVarLoader.varLoader)('tab-bar-border-bottom-width', _nukeCore2.default['line-1-width']);
/// border
/// @namespace statement
var tabBarBorderBottomStyle = (0, _nukeVarLoader.varLoader)('tab-bar-border-bottom-style', _nukeCore2.default['line-solid']);

/// height
/// @namespace size/indicator
var tabBarIndicatorHeight = (0, _nukeVarLoader.varLoader)('tab-bar-indicator-height', '4px');
/// indicator
/// @namespace statement/selected
var tabBarIndicatorBgColor = (0, _nukeVarLoader.varLoader)('tab-bar-indicator-bg-color', _nukeCore2.default['color-b1-6']);

var tabBarIndicatorMarginBottom = (0, _nukeVarLoader.varLoader)('tab-bar-indicator-margin-bottom', '-1px');

/// text
/// @namespace statement/selected
// let tabBarItemSelectedColor = varLoader('tab-bar-item-selected-color', core['color-b1-6']);
/// background
/// @namespace statement/selected
var tabBarItemSelectedBgColor = (0, _nukeVarLoader.varLoader)('tab-bar-item-selected-bg-color', _nukeCore2.default['color-n1-1']);

/// size
/// @namespace size/arrow
var tabBarMoreIconSize = (0, _nukeVarLoader.varLoader)('tab-bar-more-icon-size', _nukeCore2.default['icon-xs']);
/// arrow
/// @namespace statement
var tabBarMoreIconColor = (0, _nukeVarLoader.varLoader)('tab-bar-more-icon-color', _nukeCore2.default['color-n2-2']);

/// border-style
/// @namespace statement
var tabCapsuleBorderStyle = (0, _nukeVarLoader.varLoader)('tab-capsule-border-style', _nukeCore2.default['line-solid']);
/// border
/// @namespace statement
var tabCapsuleBorderColor = (0, _nukeVarLoader.varLoader)('tab-capsule-border-color', _nukeCore2.default['color-b1-6']);
/// width
/// @namespace size/border
var tabCapsuleBorderWidth = (0, _nukeVarLoader.varLoader)('tab-capsule-border-width', _nukeCore2.default['line-1-width']);
/// corner
/// @namespace statement
var tabCapsuleBorderCorner = (0, _nukeVarLoader.varLoader)('tab-capsule-border-corner', _nukeCore2.default['corner-radius-r2']);

/// separator-width
/// @namespace size/item
var tabCapsuleSeparatorWidth = (0, _nukeVarLoader.varLoader)('tab-capsule-separator-width', _nukeCore2.default['line-1-width']);
/// separator-style
/// @namespace statement
var tabCapsuleSeparatorStyle = (0, _nukeVarLoader.varLoader)('tab-capsule-separator-style', _nukeCore2.default['line-solid']);

/// padding(l,r)
/// @namespace size/item
var tabCapsuleItemPaddingLeftRight = (0, _nukeVarLoader.varLoader)('tab-capsule-item-padding-left-right', _nukeCore2.default['s4']);
/// height
/// @namespace size
var tabCapsuleHeight = (0, _nukeVarLoader.varLoader)('tab-capsule-height', _nukeCore2.default['s8']);
/// text
/// @namespace size/text
var tabCapsuleItemFontSize = (0, _nukeVarLoader.varLoader)('tab-capsule-item-font-size', _nukeCore2.default['font-size-base-body1']);

/// text
/// @namespace statement
var tabCapsuleItemColor = (0, _nukeVarLoader.varLoader)('tab-capsule-item-color', _nukeCore2.default['color-b1-6']);
/// background
/// @namespace statement
var tabCapsuleItemBgColor = (0, _nukeVarLoader.varLoader)('tab-capsule-item-bg-color', _nukeCore2.default['color-n1-1']);
/// text
/// @namespace statement/selected
var tabCapsuleItemSelectedColor = (0, _nukeVarLoader.varLoader)('tab-capsule-item-selected-color', _nukeCore2.default['color-n1-1']);
/// background
/// @namespace statement/selected
var tabCapsuleItemSelectedBgColor = (0, _nukeVarLoader.varLoader)('tab-capsule-item-selected-bg-color', _nukeCore2.default['color-b1-6']);

/// border-style
/// @namespace statement
var tabAppBorderStyle = (0, _nukeVarLoader.varLoader)('tab-app-border-style', _nukeCore2.default['line-solid']);
/// border
/// @namespace statement
var tabAppBorderColor = (0, _nukeVarLoader.varLoader)('tab-app-border-color', _nukeCore2.default['color-n1-7']);
/// width
/// @namespace size/border
var tabAppBorderWidth = (0, _nukeVarLoader.varLoader)('tab-app-border-width', _nukeCore2.default['line-1-width']);

/// padding(t,b)
/// @namespace size/item
var tabAppItemPaddingTopBottom = (0, _nukeVarLoader.varLoader)('tab-app-item-padding-top-bottom', _nukeCore2.default['s2']);
/// padding(l,r)
/// @namespace size/item
var tabAppItemPaddingLeftRight = (0, _nukeVarLoader.varLoader)('tab-app-item-padding-left-right', _nukeCore2.default['s4']);
/// min-height
/// @namespace size/bounding
var tabAppHeight = (0, _nukeVarLoader.varLoader)('tab-app-height', _nukeCore2.default['s11']);
/// item-background
/// @namespace statement
var tabAppItemBgColor = (0, _nukeVarLoader.varLoader)('tab-app-item-bg-color', _nukeCore2.default['color-n1-1']);
/// item-text
/// @namespace statement
var tabAppItemColor = (0, _nukeVarLoader.varLoader)('tab-app-item-color', _nukeCore2.default['color-n2-2']);
/// text
/// @namespace size/item
var tabAppItemFontSize = (0, _nukeVarLoader.varLoader)('tab-app-item-font-size', _nukeCore2.default['font-size-base-body1']);
/// item-background
/// @namespace statement/selected
var tabAppItemSelectedBgColor = (0, _nukeVarLoader.varLoader)('tab-app-item-selected-bg-color', _nukeCore2.default['color-n1-1']);
/// item-text
/// @namespace statement/selected
var tabAppItemSelectedColor = (0, _nukeVarLoader.varLoader)('tab-app-item-selected-color', _nukeCore2.default['color-b1-6']);

/// size
/// @namespace size/icon
var tabAppItemIconSize = (0, _nukeVarLoader.varLoader)('tab-app-item-icon-size', _nukeCore2.default['icon-l']);
/// margin(b)
/// @namespace size/icon
var tabAppItemIconMarginBottom = (0, _nukeVarLoader.varLoader)('tab-app-item-icon-margin-bottom', _nukeCore2.default['s1']);

module.exports = (_module$exports = {}, _defineProperty(_module$exports, 'tab-icon-item-padding-left-right', tabIconItemPaddingLeftRight), _defineProperty(_module$exports, 'tab-icon-height', tabIconHeight), _defineProperty(_module$exports, 'tab-icon-item-icon-margin-bottom', tabIconItemIconMarginBottom), _defineProperty(_module$exports, 'tab-icon-item-icon-size', tabIconItemIconSize), _defineProperty(_module$exports, 'tab-icon-item-icon-color', tabIconItemIconColor), _defineProperty(_module$exports, 'tab-icon-item-selected-icon-color', tabIconItemSelectedIconColor), _defineProperty(_module$exports, 'tab-icon-item-selected-color', tabIconItemSelectedColor), _defineProperty(_module$exports, 'tab-icon-item-color', tabIconItemColor), _defineProperty(_module$exports, 'tab-icon-item-font-size', tabIconItemFontSize), _defineProperty(_module$exports, 'tab-icon-item-bg-color', tabIconItemBgColor), _defineProperty(_module$exports, 'tab-bar-content-padding-left-right', tabBarContentPaddingLeftRight), _defineProperty(_module$exports, 'tab-bar-content-padding-top-bottom', tabBarContentPaddingTopBottom), _defineProperty(_module$exports, 'tab-bar-content-margin-top', tabBarContentMarginTop), _defineProperty(_module$exports, 'tab-bar-item-font-size', tabBarItemFontSize), _defineProperty(_module$exports, 'tab-bar-item-padding-left-right', tabBarItemPaddingLeftRight), _defineProperty(_module$exports, 'tab-bar-item-height', tabBarItemHeight), _defineProperty(_module$exports, 'tab-bar-item-padding-top-bottom', tabBarItemPaddingTopBottom), _defineProperty(_module$exports, 'tab-bar-item-bar-margin-bottom', tabBarItemBarMarginBottom), _defineProperty(_module$exports, 'tab-bar-item-selected-color', tabBarItemSelectedColor), _defineProperty(_module$exports, 'tab-bar-item-color', tabBarItemColor), _defineProperty(_module$exports, 'tab-bar-item-bg-color', tabBarItemBgColor), _defineProperty(_module$exports, 'tab-bar-item-min-width', tabBarItemMinWidth), _defineProperty(_module$exports, 'tab-bar-item-separator-width', tabBarItemSeparatorWidth), _defineProperty(_module$exports, 'tab-bar-item-separator-height', tabBarItemSeparatorHeight), _defineProperty(_module$exports, 'tab-bar-item-separator-color', tabBarItemSeparatorColor), _defineProperty(_module$exports, 'tab-bar-item-separator-style', tabBarItemSeparatorStyle), _defineProperty(_module$exports, 'tab-bar-border-bottom-color', tabBarBorderBottomColor), _defineProperty(_module$exports, 'tab-bar-border-bottom-width', tabBarBorderBottomWidth), _defineProperty(_module$exports, 'tab-bar-border-bottom-style', tabBarBorderBottomStyle), _defineProperty(_module$exports, 'tab-bar-indicator-height', tabBarIndicatorHeight), _defineProperty(_module$exports, 'tab-bar-indicator-bg-color', tabBarIndicatorBgColor), _defineProperty(_module$exports, 'tab-bar-indicator-margin-bottom', tabBarIndicatorMarginBottom), _defineProperty(_module$exports, 'tab-bar-item-selected-color', tabBarItemSelectedColor), _defineProperty(_module$exports, 'tab-bar-item-selected-bg-color', tabBarItemSelectedBgColor), _defineProperty(_module$exports, 'tab-bar-more-icon-size', tabBarMoreIconSize), _defineProperty(_module$exports, 'tab-bar-more-icon-color', tabBarMoreIconColor), _defineProperty(_module$exports, 'tab-capsule-border-style', tabCapsuleBorderStyle), _defineProperty(_module$exports, 'tab-capsule-border-color', tabCapsuleBorderColor), _defineProperty(_module$exports, 'tab-capsule-border-width', tabCapsuleBorderWidth), _defineProperty(_module$exports, 'tab-capsule-border-corner', tabCapsuleBorderCorner), _defineProperty(_module$exports, 'tab-capsule-separator-width', tabCapsuleSeparatorWidth), _defineProperty(_module$exports, 'tab-capsule-separator-style', tabCapsuleSeparatorStyle), _defineProperty(_module$exports, 'tab-capsule-item-padding-left-right', tabCapsuleItemPaddingLeftRight), _defineProperty(_module$exports, 'tab-capsule-height', tabCapsuleHeight), _defineProperty(_module$exports, 'tab-capsule-item-font-size', tabCapsuleItemFontSize), _defineProperty(_module$exports, 'tab-capsule-item-color', tabCapsuleItemColor), _defineProperty(_module$exports, 'tab-capsule-item-bg-color', tabCapsuleItemBgColor), _defineProperty(_module$exports, 'tab-capsule-item-selected-color', tabCapsuleItemSelectedColor), _defineProperty(_module$exports, 'tab-capsule-item-selected-bg-color', tabCapsuleItemSelectedBgColor), _defineProperty(_module$exports, 'tab-app-border-style', tabAppBorderStyle), _defineProperty(_module$exports, 'tab-app-border-color', tabAppBorderColor), _defineProperty(_module$exports, 'tab-app-border-width', tabAppBorderWidth), _defineProperty(_module$exports, 'tab-app-item-padding-top-bottom', tabAppItemPaddingTopBottom), _defineProperty(_module$exports, 'tab-app-item-padding-left-right', tabAppItemPaddingLeftRight), _defineProperty(_module$exports, 'tab-app-height', tabAppHeight), _defineProperty(_module$exports, 'tab-app-item-bg-color', tabAppItemBgColor), _defineProperty(_module$exports, 'tab-app-item-color', tabAppItemColor), _defineProperty(_module$exports, 'tab-app-item-font-size', tabAppItemFontSize), _defineProperty(_module$exports, 'tab-app-item-selected-bg-color', tabAppItemSelectedBgColor), _defineProperty(_module$exports, 'tab-app-item-selected-color', tabAppItemSelectedColor), _defineProperty(_module$exports, 'tab-app-item-icon-size', tabAppItemIconSize), _defineProperty(_module$exports, 'tab-app-item-icon-margin-bottom', tabAppItemIconMarginBottom), _module$exports);