'use strict';

var _module$exports;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _nukeCore = require('../../nuke-core/lib/nuke.js');

var _nukeCore2 = _interopRequireDefault(_nukeCore);

var _variable = require('./scss/variable.js');

var _variable2 = _interopRequireDefault(_variable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

module.exports = (_module$exports = {}, _defineProperty(_module$exports, 'tabContainer', {
    position: 'absolute',
    top: '0',
    right: '0',
    bottom: '0',
    left: '0',
    display: 'flex'
}), _defineProperty(_module$exports, 'tabContent', {
    display: 'flex',
    flex: '1'
}), _defineProperty(_module$exports, 'navBar', {
    // display: 'flex',
    flexDirection: 'row',
    height: _variable2.default['tab-bar-item-height'],
    // backgroundColor: '#ffffff',
    alignitems: 'center'
}), _defineProperty(_module$exports, 'navBarItem', _extends({}, _nukeCore2.default.padding(0, _variable2.default['tab-icon-item-padding-left-right']), {
    height: _variable2.default['tab-bar-item-height'],
    whiteSpace: 'nowrap'
})), _defineProperty(_module$exports, 'tbiContainer', {}), _defineProperty(_module$exports, 'nav-item', {
    justifyContent: 'center',
    alignItems: 'center',
    flexDirection: 'row'
    // height: variables['tab-bar-item-height'],
}), _defineProperty(_module$exports, 'nav-item-top', {
    height: _variable2.default['tab-bar-item-height'],
    borderBottomWidth: '1rem',
    borderBottomStyle: 'solid',
    borderBottomColor: '#dcdee3'
}), _defineProperty(_module$exports, 'nav-item-bottom', {
    height: _variable2.default['tab-bar-item-height'],
    borderTopWidth: '1rem',
    borderTopStyle: 'solid',
    borderTopColor: '#dcdee3'

}), _defineProperty(_module$exports, 'nav-item-capsule', _extends({}, _nukeCore2.default.padding(0, _variable2.default['tab-capsule-item-padding-left-right']), {
    // height: (variables['tab-capsule-height'] -2) +'rem',
    backgroundColor: _variable2.default['tab-capsule-item-bg-color']
})), _defineProperty(_module$exports, 'nav-item-capsule-selected', {
    color: _variable2.default['tab-capsule-item-selected-color'],
    backgroundColor: _variable2.default['tab-capsule-item-selected-bg-color']
}), _defineProperty(_module$exports, 'tbiView', {
    flex: '1'
}), _defineProperty(_module$exports, 'tabbarContent', {
    flexDirection: 'row',
    alignItems: 'center'
}), _defineProperty(_module$exports, 'navItembadge', {
    position: 'absolute',
    top: '6rem',
    right: '20rem',

    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',

    height: '32rem',
    borderRadius: '32rem',
    fontSize: '24rem',
    color: '#ffffff',
    textAlign: 'center',
    backgroundColor: '#FF0000'
}), _defineProperty(_module$exports, 'navItemhasNum', {
    flexDirection: 'row'
}), _defineProperty(_module$exports, 'navItemNum', {
    color: _variable2.default['tab-bar-item-selected-color'],
    fontSize: '24rem'
}), _defineProperty(_module$exports, 'nav-item-bottom-selected', {}), _defineProperty(_module$exports, 'nav-item-top-selected', {
    borderBottomWidth: '1rem',
    borderBottomStyle: 'solid',
    borderBottomColor: _variable2.default['tab-bar-item-selected-color']
}), _defineProperty(_module$exports, 'navItemIcon', {
    // marginBottom: variables['tab-icon-item-icon-margin-bottom'],

}), _defineProperty(_module$exports, 'nav-item-has-icon', {
    flexDirection: 'row',
    height: _variable2.default['tab-icon-height']
}), _defineProperty(_module$exports, 'navCapsule', _extends({
    alignSelf: 'center',
    height: _variable2.default['tab-capsule-height']
}, _nukeCore2.default.border(_variable2.default['tab-capsule-border-width'], _variable2.default['tab-capsule-border-style'], _variable2.default['tab-capsule-border-color']), {
    borderRadius: _variable2.default['tab-capsule-border-corner'] + 'rem'
})), _defineProperty(_module$exports, 'nav-item-text', {
    fontSize: '28rem'
    // lineHeight: '19px',
}), _defineProperty(_module$exports, 'nav-item-top-text', {
    fontSize: '28rem'
    // lineHeight: '19px',
}), _defineProperty(_module$exports, 'nav-item-bottom-text', {
    fontSize: '28rem'
    // lineHeight: '19px',
}), _defineProperty(_module$exports, 'nav-item-capsule-text', {
    fontSize: _variable2.default['tab-capsule-item-font-size'] + 'rem',
    color: _variable2.default['tab-capsule-item-color']

}), _defineProperty(_module$exports, 'nav-item-capsule-selected-text', {
    color: _variable2.default['tab-capsule-item-selected-color']
}), _defineProperty(_module$exports, 'nav-item-top-selected-text', {
    color: _variable2.default['tab-bar-item-selected-color']
}), _defineProperty(_module$exports, 'nav-item-bottom-selected-text', {
    color: _variable2.default['tab-bar-item-selected-color']
}), _defineProperty(_module$exports, 'nav-item-capsule-not-first', _extends({}, _nukeCore2.default.border(_variable2.default['tab-capsule-separator-width'], _variable2.default['tab-capsule-separator-style'], _variable2.default['tab-capsule-border-color'], 'left'))), _module$exports);