'use strict';

var _module$exports;

var _nukeVarLoader = require('../../nuke-var-loader/lib/index.js');

var _nukeCore = require('../../nuke-core/lib/nuke.js');

var _nukeCore2 = _interopRequireDefault(_nukeCore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

////
/// @module picker: 选择器
/// @tag Picker
/// @category component
/// @family selector
/// @varPrefix $time-picker-
/// @classPrefix {prefix}-picker
////

/// height
/// @namespace size/toolbar
var timePickerToolbarHeight = (0, _nukeVarLoader.varLoader)('time-picker-toolbar-height', _nukeCore2.default['s11']);
/// padding(l, r)
/// @namespace size/toolbar
var timePickerToolbarPaddingLr = (0, _nukeVarLoader.varLoader)('time-picker-toolbar-padding-lr', _nukeCore2.default['s3']);
/// text
/// @namespace size/title
var timePickerToolbarTitleFontSize = (0, _nukeVarLoader.varLoader)('time-picker-toolbar-title-font-size', _nukeCore2.default['font-size-base-body1']);
/// text
/// @namespace size/button
var timePickerToolbarButtonFontSize = (0, _nukeVarLoader.varLoader)('time-picker-toolbar-button-font-size', _nukeCore2.default['font-size-base-subhead']);

/// border-width
/// @namespace size/toolbar
var timePickerToolbarLineWidth = (0, _nukeVarLoader.varLoader)('time-picker-toolbar-line-width', _nukeCore2.default['line-1-width']);
/// height
/// @namespace size/item
var timePickerItemHeight = (0, _nukeVarLoader.varLoader)('time-picker-item-height', _nukeCore2.default['s11']);
/// text-current
/// @namespace size/item
var timePickerItemFontSize = (0, _nukeVarLoader.varLoader)('time-picker-item-font-size', _nukeCore2.default['font-size-base-body2']);
/// text-others
/// @namespace size/item
var timePickerIndicatorFontSize = (0, _nukeVarLoader.varLoader)('time-picker-indicator-font-size', _nukeCore2.default['font-size-base-body2']);

/// background
/// @namespace statement
var timePickerBackgroundColor = (0, _nukeVarLoader.varLoader)('time-picker-background-color', _nukeCore2.default['color-n1-1']);
/// title
/// @namespace statement
var timePickerToolbarTitleColor = (0, _nukeVarLoader.varLoader)('time-picker-toolbar-title-color', _nukeCore2.default['color-n2-3']);
/// button(l)
/// @namespace statement
var timePickerToolbarCancelColor = (0, _nukeVarLoader.varLoader)('time-picker-toolbar-cancel-color', _nukeCore2.default['color-b1-6']);
/// button(r)
/// @namespace statement
var timePickerToolbarDoneColor = (0, _nukeVarLoader.varLoader)('time-picker-toolbar-done-color', _nukeCore2.default['color-b1-6']);
/// toolbar-background
/// @namespace statement
var timePickerToolbarBackgroundColor = (0, _nukeVarLoader.varLoader)('time-picker-toolbar-background-color', _nukeCore2.default['color-n1-1']);
/// item-current
/// @namespace statement
var timePickerIndicatorTextColor = (0, _nukeVarLoader.varLoader)('time-picker-indicator-text-color', _nukeCore2.default['color-n1-9']);
/// item-others
/// @namespace statement
var timePickerItemTextColor = (0, _nukeVarLoader.varLoader)('time-picker-item-text-color', _nukeCore2.default['color-n1-9']);
/// item-border
/// @namespace statement
var timePickerIndicatorLineColor = (0, _nukeVarLoader.varLoader)('time-picker-indicator-line-color', _nukeCore2.default['color-n1-7']);
/// toolbar-border
/// @namespace statement
var timePickerToolbarLineColor = (0, _nukeVarLoader.varLoader)('time-picker-toolbar-line-color', _nukeCore2.default['color-n1-4']);

var timePickerIndicatorFontWeight = (0, _nukeVarLoader.varLoader)('time-picker-indicator-font-weight', _nukeCore2.default['font-weight-core-medium']);
var timePickerToolbarLineStyle = (0, _nukeVarLoader.varLoader)('time-picker-toolbar-line-style', _nukeCore2.default['line-solid']);

var timePickerHeight = (0, _nukeVarLoader.varLoader)('time-picker-height', timePickerItemHeight * 5);
var timePickerContentPaddingLr = (0, _nukeVarLoader.varLoader)('time-picker-content-padding-lr', _nukeCore2.default['s3']);

var timePickerItemLineColor = (0, _nukeVarLoader.varLoader)('time-picker-item-line-color', _nukeCore2.default['color-n1-7']);
module.exports = (_module$exports = {}, _defineProperty(_module$exports, 'time-picker-toolbar-height', timePickerToolbarHeight), _defineProperty(_module$exports, 'time-picker-toolbar-padding-lr', timePickerToolbarPaddingLr), _defineProperty(_module$exports, 'time-picker-toolbar-title-font-size', timePickerToolbarTitleFontSize), _defineProperty(_module$exports, 'time-picker-toolbar-button-font-size', timePickerToolbarButtonFontSize), _defineProperty(_module$exports, 'time-picker-toolbar-line-width', timePickerToolbarLineWidth), _defineProperty(_module$exports, 'time-picker-item-height', timePickerItemHeight), _defineProperty(_module$exports, 'time-picker-item-font-size', timePickerItemFontSize), _defineProperty(_module$exports, 'time-picker-indicator-font-size', timePickerIndicatorFontSize), _defineProperty(_module$exports, 'time-picker-background-color', timePickerBackgroundColor), _defineProperty(_module$exports, 'time-picker-toolbar-title-color', timePickerToolbarTitleColor), _defineProperty(_module$exports, 'time-picker-toolbar-cancel-color', timePickerToolbarCancelColor), _defineProperty(_module$exports, 'time-picker-toolbar-done-color', timePickerToolbarDoneColor), _defineProperty(_module$exports, 'time-picker-toolbar-background-color', timePickerToolbarBackgroundColor), _defineProperty(_module$exports, 'time-picker-indicator-text-color', timePickerIndicatorTextColor), _defineProperty(_module$exports, 'time-picker-item-text-color', timePickerItemTextColor), _defineProperty(_module$exports, 'time-picker-indicator-line-color', timePickerIndicatorLineColor), _defineProperty(_module$exports, 'time-picker-toolbar-line-color', timePickerToolbarLineColor), _defineProperty(_module$exports, 'time-picker-indicator-font-weight', timePickerIndicatorFontWeight), _defineProperty(_module$exports, 'time-picker-toolbar-line-style', timePickerToolbarLineStyle), _defineProperty(_module$exports, 'time-picker-height', timePickerHeight), _defineProperty(_module$exports, 'time-picker-content-padding-lr', timePickerContentPaddingLr), _defineProperty(_module$exports, 'time-picker-item-line-color', timePickerItemLineColor), _module$exports);