# Dimensions demo

* order: 0

获取屏幕宽高信息

---

```js
/** @jsx createElement */
import { View, Text, Page, Dimensions, Button } from 'nuke';
import { createElement, Component, render } from 'rax';
let { height, width, safeHeight } = Dimensions.get('window');
class App extends Component {
  render() {
    return (
      <View
        x="111"
        style={{
          width: 750,
          height: safeHeight || height,
          justifyContent: 'flex-end',
          backgroundColor: '#fda085'
        }}
      >
        <View x="222" style={styles.body}>
          <Text style={styles.resultText}>
            屏幕宽高：{width} * {height}
          </Text>
          <Text style={styles.resultText}>安全区高度：{safeHeight}</Text>
        </View>
        <Button type="primary">底部按钮</Button>
      </View>
    );
  }
}
const styles = {
  body: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: 'rgba(255,255,255,.8)'
  }
};
render(<App />);
```
