# Env Demo

- order: 0

获取设备、系统等信息

---

````js
/** @jsx createElement */
import { View, Text, Env, Button, Navigator, Page } from 'nuke';
import {createElement, Component,render} from 'rax';
const { isWeex, isWeb, isQNWeb , isQNWeex , appInfo ,params } = Env;
let App = class NukeDemoIndex extends Component {
    constructor() {
        super();
    }
    render() {
        return (
            <Page title="Env">
                <Page.Intro main="获取系统变量信息"></Page.Intro>
                <View style={styles.result}>
                    <Text style={styles.resultText}>isWeex:{isWeex},isWeb:{isWeb}</Text>
                    <Text style={styles.resultText}>isQNWeex:{isQNWeex},isQNWeb:{isQNWeb}</Text>
                    <Text style={styles.resultText}>appInfo:{JSON.stringify(appInfo)}</Text>
                    <Text style={styles.resultText}>data:{JSON.stringify(params)}</Text>
                </View>
            </Page>
        );
    }
}
const styles = {
    result : {
        height:'480rem',
        margin:'30rem',
        padding:'10rem',
        backgroundColor:'#ffffff',
        justifyContent:'center',
        alignItems:'center'
    },
    resultText : {
        fontSize:'28rem',
        lines:5,
        wordBreak:'break-all',//for web
    },
    btns:{
        margin:'30rem',
    }
}
render(<App/>);

````
