# Navigator

- category: API
- chinese: 导航
- type: API能力

---


## 何时使用

此组件与 Link 标签功能类似，可配合在不同的场景做页面跳转。

## 设计思路

在 Native 端本质上是对 `@weex-module/navigator` 的封装，在 web 端使用 location.href 完成跳转。

## API

### Navigator.push(url,title)
- url 协议类型，需要看客户端上层做了哪些协议的适配，一般常见的有 http:,https:,mailto:,sms:,tel: 等
- title 下级页面标题，title 能否被设置，还需要看具体的容器实现方式。

````js
   Navigator.push('xxxUrl','页面标题');
````
