# SearchBar demo

- order: 1

定制圆角、颜色

---

````js
/** @jsx createElement */
import { View, Text, SearchBar, Icon, Page } from 'nuke';
import {createElement, Component,render } from 'rax';
let App = class NukeDemoIndex extends Component {
    constructor() {
        super();
        this.state = {
            value:''
        }
    }

    search = (data,e) =>{
        this.setState({
            value: data.value,
        });
    }
    searchOnReturn = (data) =>{
        console.log('searchOnReturn===>');
        this.setState({
            value2: data.value,
        });
    }
    render() {
        return (
            <Page title="SearchBar">

                <SearchBar centered style={styles.searchbarwrap} onSearch={this.searchOnReturn} showSearchButton={false} inputStyle={styles.input} placeholderColor={'#4F74B3'} placeholder="搜索" />
                <View style={styles.relatedView}><Text>要搜索的值：{this.state.value2}</Text></View>
            </Page>

        );
    }
}
const styles={
    searchbarwrap:{
        backgroundColor:'#333333',

    },
    input:{
        borderRadius:30,
        backgroundColor:'#E4F0FD'
    },
    relatedView:{
        padding:'20rem'
    }

}
render(<App/>);
````
