# Slip Demo

* order: 2

含各个方向 demo

---

```js
/** @jsx createElement */
import { View, Text, Slip, Button, Icon, Dimensions, Image, Touchable, ScrollView } from 'nuke';
import { createElement, Component, render } from 'rax';
const { height } = Dimensions.get('window');
let App = class NukeDemoIndex extends Component {
  constructor() {
    super();

    this.slipFromBottom = this.slipFromBottom.bind(this);
  }

  slipFromBottom() {
    this.refs.slip4.show();
  }

  render() {
    return (
      <View>
        <Button
          style={style.btn}
          block
          type="secondary"
          onPress={this.slipFromBottom}
        >
          底部弹出一个面板
        </Button>

        <Slip ref="slip4" direction="bottom" height={600} maskClosable={true}>
          <View>
            {console.log('112222111')}
            <Text>asda</Text>
          </View>
        </Slip>
      </View>
    );
  }
};
const style = {
  container: {
    flex: 1,
    justifyContent: 'center'
  },
  btn: {
    marginBottom: 20
  },
  icon: {
    fontSize: 42,
    position: 'absolute',
    top: 20,
    right: 20
  },
  contentStyle: {
    backgroundColor: 'transparent',
    justifyContent: 'center',
    alignItems: 'center'
  },
  body: {
    width: 600,
    height: parseInt(height) - 400,
    backgroundColor: '#ffffff'
  },
  img: {
    width: 600,
    height: parseInt(height) - 400,
    quality: 'original'
  },
  close: {
    borderRadius: 60,
    width: 120,
    height: 120,
    position: 'absolute',
    backgroundColor: 'transparent',
    bottom: 40,
    left: 315,
    justifyContent: 'center',
    alignItems: 'center',
    color: '#ffffff'
  },
  iconBottom: {
    fontSize: 32,

    color: '#ffffff'
  }
};
render(<App />);
```
