

# TimePicker

- category: UI
- chinese: 时间选择器
- type: UI组件

---

## 何时使用

获取时间输入。

**仅千牛端内可用**

## API
### TimePicker.show(options,onNotify,onCancel,afterOpen,onFail)

- options 参数

| 参数 | 说明 | 类型 | 默认值|
|:-----|:-----|:-----|:-----|
| title | 标题 | string | |
| type | 枚举 `date`,`time`,`datetime` | string | `date` |
| default | 默认值 | 日期字符串，如'2016/10/21'| 无|

- onNotify：TimePicker 确认触发的事件
- onCancel：TimePicker 取消触发的事件
- afterOpen：TimePicker 成功渲染触发的事件
- onFail ：TimePicker 渲染失败触发的事件


````js
    TimePicker.show({
        title:'请选择日期',
        default:'2016/10/21', 
        type:'date'
    },(e)=>{
        console.log('select date ',e)
    },(e)=>{
        console.log('canceled',e)
    },()=>{
        console.log('datepicker showed')
    },()=>{
        console.log('datepicker render fail')
    });
````
