'use strict';

var _module$exports;

var _nukeVarLoader = require('../../nuke-var-loader/lib/index.js');

var _nukeCore = require('../../nuke-core/lib/nuke.js');

var _nukeCore2 = _interopRequireDefault(_nukeCore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

////
/// @module action-sheet: 动作菜单
/// @tag ActionSheet
/// @category component
/// @family action-sheet
/// @varPrefix $action-sheet-
/// @classPrefix {prefix}-action-sheet
////

/// min-height
/// @namespace size/bounding
var actionSheetItemHeight = (0, _nukeVarLoader.varLoader)('action-sheet-item-height', _nukeCore2.default['s11']);

/// text
/// @namespace size/text
var actionSheetItemFontSize = (0, _nukeVarLoader.varLoader)('action-sheet-item-font-size', _nukeCore2.default['font-size-base-body1']);
/// text
/// @namespace statement
var actionSheetItemColor = (0, _nukeVarLoader.varLoader)('action-sheet-item-color', _nukeCore2.default['color-n2-4']);

/// background
/// @namespace statement
var actionSheetItemBg = (0, _nukeVarLoader.varLoader)('action-sheet-item-bg', _nukeCore2.default['color-n1-1']);

/// bottom
/// @namespace size/border
var actionSheetItemBorderWidth = (0, _nukeVarLoader.varLoader)('action-sheet-item-border-width', _nukeCore2.default['line-1-width']);

var actionSheetItemBorderStyle = (0, _nukeVarLoader.varLoader)('action-sheet-item-border-style', _nukeCore2.default['line-solid']);

/// border
/// @namespace statement
var actionSheetItemLineColor = (0, _nukeVarLoader.varLoader)('action-sheet-item-line-color', _nukeCore2.default['color-n1-3']);

/// ================= active ==============

/// background
/// @namespace statement/tap
var actionSheetItemActiveBg = (0, _nukeVarLoader.varLoader)('action-sheet-item-active-bg', _nukeCore2.default['color-n1-1']);

/// text
/// @namespace statement/tap
var actionSheetItemActiveColor = (0, _nukeVarLoader.varLoader)('action-sheet-item-active-color', _nukeCore2.default['color-b1-6']);

/// border
/// @namespace statement/tap
var actionSheetItemActiveLineColor = (0, _nukeVarLoader.varLoader)('action-sheet-item-active-line-color', _nukeCore2.default['color-n1-3']);

/// separator-background
/// @namespace statement
var actionSheetSeparatorBackgroundColor = (0, _nukeVarLoader.varLoader)('action-sheet-separator-background-color', _nukeCore2.default['color-n2-1']);

/// separator-background
/// @namespace statement
var actionSheetSeparatorHeight = (0, _nukeVarLoader.varLoader)('action-sheet-separator-height', _nukeCore2.default['s1']);

/// title-color
/// @namespace statement
var actionSheetTitleColor = (0, _nukeVarLoader.varLoader)('action-sheet-title-color', _nukeCore2.default['color-n2-2']);

/// title-background
/// @namespace statement
var actionSheetTitleBackgroundColor = (0, _nukeVarLoader.varLoader)('action-sheet-title-background-color', _nukeCore2.default['color-n1-1']);

/// text
/// @namespace size/title
var actionSheetTitleFontSize = (0, _nukeVarLoader.varLoader)('action-sheet-title-font-size', _nukeCore2.default['font-size-base-subhead']);

/// height
/// @namespace size/title
var actionSheetTitleHeight = (0, _nukeVarLoader.varLoader)('action-sheet-title-height', _nukeCore2.default['s11']);
module.exports = (_module$exports = {}, _defineProperty(_module$exports, 'action-sheet-item-height', actionSheetItemHeight), _defineProperty(_module$exports, 'action-sheet-item-font-size', actionSheetItemFontSize), _defineProperty(_module$exports, 'action-sheet-item-color', actionSheetItemColor), _defineProperty(_module$exports, 'action-sheet-item-bg', actionSheetItemBg), _defineProperty(_module$exports, 'action-sheet-item-border-width', actionSheetItemBorderWidth), _defineProperty(_module$exports, 'action-sheet-item-border-style', actionSheetItemBorderStyle), _defineProperty(_module$exports, 'action-sheet-item-line-color', actionSheetItemLineColor), _defineProperty(_module$exports, 'action-sheet-item-active-bg', actionSheetItemActiveBg), _defineProperty(_module$exports, 'action-sheet-item-active-color', actionSheetItemActiveColor), _defineProperty(_module$exports, 'action-sheet-item-active-line-color', actionSheetItemActiveLineColor), _defineProperty(_module$exports, 'action-sheet-separator-background-color', actionSheetSeparatorBackgroundColor), _defineProperty(_module$exports, 'action-sheet-separator-height', actionSheetSeparatorHeight), _defineProperty(_module$exports, 'action-sheet-title-color', actionSheetTitleColor), _defineProperty(_module$exports, 'action-sheet-title-background-color', actionSheetTitleBackgroundColor), _defineProperty(_module$exports, 'action-sheet-title-font-size', actionSheetTitleFontSize), _defineProperty(_module$exports, 'action-sheet-title-height', actionSheetTitleHeight), _module$exports);