'use strict';

var _module$exports;

var _nukeVarLoader = require('../../../nuke-var-loader/lib/index.js');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

////
/// @group Variables 变量
/// @module color: 颜色
/// @type Color
/// @category style
////


/// B1
/// 可用变量: `$color-b1-1 - $color-b1-10`

/// B1-1
/// @export
var colorB11 = (0, _nukeVarLoader.varLoader)('color-b1-1', '#e4f0fd');
/// B1-2
var colorB12 = (0, _nukeVarLoader.varLoader)('color-b1-2', '#ffe3d1');
/// B1-3
var colorB13 = (0, _nukeVarLoader.varLoader)('color-b1-3', '#ffc8a3');
/// B1-4
var colorB14 = (0, _nukeVarLoader.varLoader)('color-b1-4', '#ffac75');
/// B1-5
var colorB15 = (0, _nukeVarLoader.varLoader)('color-b1-5', '#ff8b3d');
/// B1-6
/// @export
var colorB16 = (0, _nukeVarLoader.varLoader)('color-b1-6', '#3089dc');
/// B1-7
var colorB17 = (0, _nukeVarLoader.varLoader)('color-b1-7', '#f75f00');
/// B1-8
var colorB18 = (0, _nukeVarLoader.varLoader)('color-b1-8', '#f05800');
/// B1-9
/// @export
var colorB19 = (0, _nukeVarLoader.varLoader)('color-b1-9', '#1170bc');
/// B1-10
var colorB110 = (0, _nukeVarLoader.varLoader)('color-b1-10', '#d64f00');

/// B2
/// 可用变量: `$color-b2-1 - $color-b2-10`

/// B2-1
/// @export
var colorB21 = (0, _nukeVarLoader.varLoader)('color-b2-1', '#e8f6ff');
/// B2-2
/// @export
var colorB22 = (0, _nukeVarLoader.varLoader)('color-b2-2', '#d3e9f7');
/// B2-3
/// @export
var colorB23 = (0, _nukeVarLoader.varLoader)('color-b2-3', '#a6d3f0');
/// B2-4
var colorB24 = (0, _nukeVarLoader.varLoader)('color-b2-4', '#7abee8');
/// B2-5
var colorB25 = (0, _nukeVarLoader.varLoader)('color-b2-5', '#4da8e1');
/// B2-6
/// @export
var colorB26 = (0, _nukeVarLoader.varLoader)('color-b2-6', '#2192d9');
/// B2-7
var colorB27 = (0, _nukeVarLoader.varLoader)('color-b2-7', '#1587d1');
/// B2-8
var colorB28 = (0, _nukeVarLoader.varLoader)('color-b2-8', '#0a7ec9');
/// B2-9
var colorB29 = (0, _nukeVarLoader.varLoader)('color-b2-9', '#0073bd');
/// B2-10
var colorB210 = (0, _nukeVarLoader.varLoader)('color-b2-10', '#006ab0');

/// B3
/// 可用变量: `$color-b3-1 - $color-b3-10`

/// B3-1
var colorB31 = (0, _nukeVarLoader.varLoader)('color-b3-1', '#ffe2db');
/// B3-2
var colorB32 = (0, _nukeVarLoader.varLoader)('color-b3-2', '#ffc8bf');
/// B3-3
var colorB33 = (0, _nukeVarLoader.varLoader)('color-b3-3', '#f7a394');
/// B3-4
var colorB34 = (0, _nukeVarLoader.varLoader)('color-b3-4', '#ed8472');
/// B3-5
var colorB35 = (0, _nukeVarLoader.varLoader)('color-b3-5', '#e3715d');
/// B3-6
var colorB36 = (0, _nukeVarLoader.varLoader)('color-b3-6', '#d9624e');
/// B3-7
var colorB37 = (0, _nukeVarLoader.varLoader)('color-b3-7', '#d15241');
/// B3-8
var colorB38 = (0, _nukeVarLoader.varLoader)('color-b3-8', '#c43f31');
/// B3-9
var colorB39 = (0, _nukeVarLoader.varLoader)('color-b3-9', '#bd3224');
/// B3-10
var colorB310 = (0, _nukeVarLoader.varLoader)('color-b3-10', '#b32018');

/// B4
/// 可用变量: `$color-b4-1 - $color-b4-10`

/// B4-1
var colorB41 = (0, _nukeVarLoader.varLoader)('color-b4-1', '#e7f5e5');
/// B4-2
var colorB42 = (0, _nukeVarLoader.varLoader)('color-b4-2', '#cdebc8');
/// B4-3
var colorB43 = (0, _nukeVarLoader.varLoader)('color-b4-3', '#b0dea9');
/// B4-4
var colorB44 = (0, _nukeVarLoader.varLoader)('color-b4-4', '#92cc86');
/// B4-5
var colorB45 = (0, _nukeVarLoader.varLoader)('color-b4-5', '#70b564');
/// B4-6
var colorB46 = (0, _nukeVarLoader.varLoader)('color-b4-6', '#55a344');
/// B4-7
var colorB47 = (0, _nukeVarLoader.varLoader)('color-b4-7', '#479635');
/// B4-8
var colorB48 = (0, _nukeVarLoader.varLoader)('color-b4-8', '#3b8f28');
/// B4-9
var colorB49 = (0, _nukeVarLoader.varLoader)('color-b4-9', '#358723');
/// B4-10
var colorB410 = (0, _nukeVarLoader.varLoader)('color-b4-10', '#257d12');

/// B5
/// 可用变量: `$color-b5-1 - $color-b5-10`

/// B5-1
var colorB51 = (0, _nukeVarLoader.varLoader)('color-b5-1', '#fef7da');
/// B5-2
var colorB52 = (0, _nukeVarLoader.varLoader)('color-b5-2', '#fff2c2');
/// B5-3
var colorB53 = (0, _nukeVarLoader.varLoader)('color-b5-3', '#fde89d');
/// B5-4
var colorB54 = (0, _nukeVarLoader.varLoader)('color-b5-4', '#ffe27d');
/// B5-5
var colorB55 = (0, _nukeVarLoader.varLoader)('color-b5-5', '#fbd653');
/// B5-6
var colorB56 = (0, _nukeVarLoader.varLoader)('color-b5-6', '#face32');
/// B5-7
var colorB57 = (0, _nukeVarLoader.varLoader)('color-b5-7', '#f7bf25');
/// B5-8
var colorB58 = (0, _nukeVarLoader.varLoader)('color-b5-8', '#f2b211');
/// B5-9
var colorB59 = (0, _nukeVarLoader.varLoader)('color-b5-9', '#eda807');
/// B5-10
var colorB510 = (0, _nukeVarLoader.varLoader)('color-b5-10', '#e89a00');

/// B6
/// 可用变量: `$color-b6-1 - $color-b6-10`

/// B6-1
var colorB61 = (0, _nukeVarLoader.varLoader)('color-b6-1', '#e9e6fa');
/// B6-2
var colorB62 = (0, _nukeVarLoader.varLoader)('color-b6-2', '#d5cff7');
/// B6-3
var colorB63 = (0, _nukeVarLoader.varLoader)('color-b6-3', '#b8afed');
/// B6-4
var colorB64 = (0, _nukeVarLoader.varLoader)('color-b6-4', '#9f94e8');
/// B6-5
var colorB65 = (0, _nukeVarLoader.varLoader)('color-b6-5', '#887be3');
/// B6-6
var colorB66 = (0, _nukeVarLoader.varLoader)('color-b6-6', '#6d5cdb');
/// B6-7
var colorB67 = (0, _nukeVarLoader.varLoader)('color-b6-7', '#5f4dd1');
/// B6-8
var colorB68 = (0, _nukeVarLoader.varLoader)('color-b6-8', '#5240c7');
/// B6-9
var colorB69 = (0, _nukeVarLoader.varLoader)('color-b6-9', '#4634bf');
/// B6-10
var colorB610 = (0, _nukeVarLoader.varLoader)('color-b6-10', '#3a27b5');

/// B7
/// 可用变量: `$color-b7-1 - $color-b7-10`

/// B7-1
var colorB71 = (0, _nukeVarLoader.varLoader)('color-b7-1', '#e3eaf7');
/// B7-2
var colorB72 = (0, _nukeVarLoader.varLoader)('color-b7-2', '#ccd9f0');
/// B7-3
var colorB73 = (0, _nukeVarLoader.varLoader)('color-b7-3', '#aabee0');
/// B7-4
var colorB74 = (0, _nukeVarLoader.varLoader)('color-b7-4', '#84a1d1');
/// B7-5
var colorB75 = (0, _nukeVarLoader.varLoader)('color-b7-5', '#6d8cc2');
/// B7-6
/// @export
var colorB76 = (0, _nukeVarLoader.varLoader)('color-b7-6', '#4f74b3');
/// B7-7
var colorB77 = (0, _nukeVarLoader.varLoader)('color-b7-7', '#4369ab');
/// B7-8
var colorB78 = (0, _nukeVarLoader.varLoader)('color-b7-8', '#375ea3');
/// B7-9
/// @export
var colorB79 = (0, _nukeVarLoader.varLoader)('color-b7-9', '#2d559c');
/// B7-10
var colorB710 = (0, _nukeVarLoader.varLoader)('color-b7-10', '#224b94');

/// B8
/// 可用变量: `$color-b8-1 - $color-b8-10`

/// B8-1
var colorB81 = (0, _nukeVarLoader.varLoader)('color-b8-1', '#ffebee');
/// B8-2
var colorB82 = (0, _nukeVarLoader.varLoader)('color-b8-2', '#ffd9e0');
/// B8-3
var colorB83 = (0, _nukeVarLoader.varLoader)('color-b8-3', '#ffc2ce');
/// B8-4
var colorB84 = (0, _nukeVarLoader.varLoader)('color-b8-4', '#ffa3b6');
/// B8-5
var colorB85 = (0, _nukeVarLoader.varLoader)('color-b8-5', '#ff89a1');
/// B8-6
var colorB86 = (0, _nukeVarLoader.varLoader)('color-b8-6', '#f96985');
/// B8-7
var colorB87 = (0, _nukeVarLoader.varLoader)('color-b8-7', '#f54e70');
/// B8-8
var colorB88 = (0, _nukeVarLoader.varLoader)('color-b8-8', '#ed395d');
/// B8-9
var colorB89 = (0, _nukeVarLoader.varLoader)('color-b8-9', '#de284c');
/// B8-10
var colorB810 = (0, _nukeVarLoader.varLoader)('color-b8-10', '#d1173f');

/// 界面色
/// 可用变量: `$color-n1-1 - $color-n1-9`

/// N1-1
/// @export
var colorN11 = (0, _nukeVarLoader.varLoader)('color-n1-1', '#ffffff');
/// N1-2
/// @export
var colorN12 = (0, _nukeVarLoader.varLoader)('color-n1-2', '#f7f8fa');
/// N1-3
/// @export
var colorN13 = (0, _nukeVarLoader.varLoader)('color-n1-3', '#f2f3f7');
/// N1-4
/// @export
var colorN14 = (0, _nukeVarLoader.varLoader)('color-n1-4', '#ebecf0');
/// N1-5
/// @export
var colorN15 = (0, _nukeVarLoader.varLoader)('color-n1-5', '#e6e7eb');
/// N1-6
/// @export
var colorN16 = (0, _nukeVarLoader.varLoader)('color-n1-6', '#dcdee3');
/// N1-7
/// @export
var colorN17 = (0, _nukeVarLoader.varLoader)('color-n1-7', '#c4c6cf');
/// N1-8
/// @export
var colorN18 = (0, _nukeVarLoader.varLoader)('color-n1-8', '#a0a2ad');
/// N1-9
/// @export
var colorN19 = (0, _nukeVarLoader.varLoader)('color-n1-9', '#000000');
/// N1-10
var colorN110 = (0, _nukeVarLoader.varLoader)('color-n1-10', 'transparent');

/// 文字色
/// 可用变量: `$color-n2-1 - $color-n2-4`

/// N2-1
/// @export
var colorN21 = (0, _nukeVarLoader.varLoader)('color-n2-1', '#cccccc');
/// N2-2
/// @export
var colorN22 = (0, _nukeVarLoader.varLoader)('color-n2-2', '#999999');
/// N2-3
/// @export
var colorN23 = (0, _nukeVarLoader.varLoader)('color-n2-3', '#5f646e');
/// N2-4
/// @export
var colorN24 = (0, _nukeVarLoader.varLoader)('color-n2-4', '#3d4145');
/// N2-5
var colorN25 = (0, _nukeVarLoader.varLoader)('color-n2-5', 'transparent');
/// N2-6
var colorN26 = (0, _nukeVarLoader.varLoader)('color-n2-6', 'transparent');
/// N2-7
var colorN27 = (0, _nukeVarLoader.varLoader)('color-n2-7', 'transparent');
/// N2-8
var colorN28 = (0, _nukeVarLoader.varLoader)('color-n2-8', 'transparent');
/// N2-9
var colorN29 = (0, _nukeVarLoader.varLoader)('color-n2-9', 'transparent');
/// N2-10
var colorN210 = (0, _nukeVarLoader.varLoader)('color-n2-10', 'transparent');

/// 强调, 着重说明
/// 可用变量: `$color-f1-1, $color-f1-2`

/// F1-1
/// @export
var colorF11 = (0, _nukeVarLoader.varLoader)('color-f1-1', '#ffa033');
/// F1-2
/// @export
var colorF12 = (0, _nukeVarLoader.varLoader)('color-f1-2', '#fff1e8');
/// F1-3
/// @export
var colorF13 = (0, _nukeVarLoader.varLoader)('color-f1-3', '#eb7e10');
/// F1-4
var colorF14 = (0, _nukeVarLoader.varLoader)('color-f1-4', 'transparent');
/// F1-5
var colorF15 = (0, _nukeVarLoader.varLoader)('color-f1-5', 'transparent');
/// F1-6
var colorF16 = (0, _nukeVarLoader.varLoader)('color-f1-6', 'transparent');
/// F1-7
var colorF17 = (0, _nukeVarLoader.varLoader)('color-f1-7', 'transparent');
/// F1-8
var colorF18 = (0, _nukeVarLoader.varLoader)('color-f1-8', 'transparent');
/// F1-9
var colorF19 = (0, _nukeVarLoader.varLoader)('color-f1-9', 'transparent');
/// F1-10
var colorF110 = (0, _nukeVarLoader.varLoader)('color-f1-10', 'transparent');

/// 错误, 警告
/// 可用变量: `$color-f2-1, $color-f2-2`

/// F2-1
/// @export
var colorF21 = (0, _nukeVarLoader.varLoader)('color-f2-1', '#ff3333');
/// F2-2
/// @export
var colorF22 = (0, _nukeVarLoader.varLoader)('color-f2-2', '#fae7e7');
/// F2-3
/// @export
var colorF23 = (0, _nukeVarLoader.varLoader)('color-f2-3', '#e61c1c');
/// F2-4
var colorF24 = (0, _nukeVarLoader.varLoader)('color-f2-4', 'transparent');
/// F2-5
var colorF25 = (0, _nukeVarLoader.varLoader)('color-f2-5', 'transparent');
/// F2-6
var colorF26 = (0, _nukeVarLoader.varLoader)('color-f2-6', 'transparent');
/// F2-7
var colorF27 = (0, _nukeVarLoader.varLoader)('color-f2-7', 'transparent');
/// F2-8
var colorF28 = (0, _nukeVarLoader.varLoader)('color-f2-8', 'transparent');
/// F2-9
var colorF29 = (0, _nukeVarLoader.varLoader)('color-f2-9', 'transparent');
/// F2-10
var colorF210 = (0, _nukeVarLoader.varLoader)('color-f2-10', 'transparent');

/// 成功, 正向积极
/// 可用变量: `$color-f3-1, $color-f3-2`

/// F3-1
/// @export
var colorF31 = (0, _nukeVarLoader.varLoader)('color-f3-1', '#1dc11d');
/// F3-2
/// @export
var colorF32 = (0, _nukeVarLoader.varLoader)('color-f3-2', '#e8f9e8');
/// F3-3
/// @export
var colorF33 = (0, _nukeVarLoader.varLoader)('color-f3-3', '#0da80d');
/// F3-4
var colorF34 = (0, _nukeVarLoader.varLoader)('color-f3-4', 'transparent');
/// F3-5
var colorF35 = (0, _nukeVarLoader.varLoader)('color-f3-5', 'transparent');
/// F3-6
var colorF36 = (0, _nukeVarLoader.varLoader)('color-f3-6', 'transparent');
/// F3-7
var colorF37 = (0, _nukeVarLoader.varLoader)('color-f3-7', 'transparent');
/// F3-8
var colorF38 = (0, _nukeVarLoader.varLoader)('color-f3-8', 'transparent');
/// F3-9
var colorF39 = (0, _nukeVarLoader.varLoader)('color-f3-9', 'transparent');
/// F3-10
var colorF310 = (0, _nukeVarLoader.varLoader)('color-f3-10', 'transparent');

/// link 链接专用色
/// 可用变量: `$color-f4-1 - $color-f4-3`

/// F4-1
/// @export
var colorF41 = (0, _nukeVarLoader.varLoader)('color-f4-1', '#3089dc');
/// F4-2
var colorF42 = (0, _nukeVarLoader.varLoader)('color-f4-2', '#9a65a6');
/// F4-3
/// @export
var colorF43 = (0, _nukeVarLoader.varLoader)('color-f4-3', '#1170bc');
/// F4-4
var colorF44 = (0, _nukeVarLoader.varLoader)('color-f4-4', 'transparent');
/// F4-5
var colorF45 = (0, _nukeVarLoader.varLoader)('color-f4-5', 'transparent');
/// F4-6
var colorF46 = (0, _nukeVarLoader.varLoader)('color-f4-6', 'transparent');
/// F4-7
var colorF47 = (0, _nukeVarLoader.varLoader)('color-f4-7', 'transparent');
/// F4-8
var colorF48 = (0, _nukeVarLoader.varLoader)('color-f4-8', 'transparent');
/// F4-9
var colorF49 = (0, _nukeVarLoader.varLoader)('color-f4-9', 'transparent');
/// F4-10
var colorF410 = (0, _nukeVarLoader.varLoader)('color-f4-10', 'transparent');

module.exports = (_module$exports = {}, _defineProperty(_module$exports, 'color-b1-1', colorB11), _defineProperty(_module$exports, 'color-b1-2', colorB12), _defineProperty(_module$exports, 'color-b1-3', colorB13), _defineProperty(_module$exports, 'color-b1-4', colorB14), _defineProperty(_module$exports, 'color-b1-5', colorB15), _defineProperty(_module$exports, 'color-b1-6', colorB16), _defineProperty(_module$exports, 'color-b1-7', colorB17), _defineProperty(_module$exports, 'color-b1-8', colorB18), _defineProperty(_module$exports, 'color-b1-9', colorB19), _defineProperty(_module$exports, 'color-b1-10', colorB110), _defineProperty(_module$exports, 'color-b2-1', colorB21), _defineProperty(_module$exports, 'color-b2-2', colorB22), _defineProperty(_module$exports, 'color-b2-3', colorB23), _defineProperty(_module$exports, 'color-b2-4', colorB24), _defineProperty(_module$exports, 'color-b2-5', colorB25), _defineProperty(_module$exports, 'color-b2-6', colorB26), _defineProperty(_module$exports, 'color-b2-7', colorB27), _defineProperty(_module$exports, 'color-b2-8', colorB28), _defineProperty(_module$exports, 'color-b2-9', colorB29), _defineProperty(_module$exports, 'color-b2-10', colorB210), _defineProperty(_module$exports, 'color-b3-1', colorB31), _defineProperty(_module$exports, 'color-b3-2', colorB32), _defineProperty(_module$exports, 'color-b3-3', colorB33), _defineProperty(_module$exports, 'color-b3-4', colorB34), _defineProperty(_module$exports, 'color-b3-5', colorB35), _defineProperty(_module$exports, 'color-b3-6', colorB36), _defineProperty(_module$exports, 'color-b3-7', colorB37), _defineProperty(_module$exports, 'color-b3-8', colorB38), _defineProperty(_module$exports, 'color-b3-9', colorB39), _defineProperty(_module$exports, 'color-b3-10', colorB310), _defineProperty(_module$exports, 'color-b4-1', colorB41), _defineProperty(_module$exports, 'color-b4-2', colorB42), _defineProperty(_module$exports, 'color-b4-3', colorB43), _defineProperty(_module$exports, 'color-b4-4', colorB44), _defineProperty(_module$exports, 'color-b4-5', colorB45), _defineProperty(_module$exports, 'color-b4-6', colorB46), _defineProperty(_module$exports, 'color-b4-7', colorB47), _defineProperty(_module$exports, 'color-b4-8', colorB48), _defineProperty(_module$exports, 'color-b4-9', colorB49), _defineProperty(_module$exports, 'color-b4-10', colorB410), _defineProperty(_module$exports, 'color-b5-1', colorB51), _defineProperty(_module$exports, 'color-b5-2', colorB52), _defineProperty(_module$exports, 'color-b5-3', colorB53), _defineProperty(_module$exports, 'color-b5-4', colorB54), _defineProperty(_module$exports, 'color-b5-5', colorB55), _defineProperty(_module$exports, 'color-b5-6', colorB56), _defineProperty(_module$exports, 'color-b5-7', colorB57), _defineProperty(_module$exports, 'color-b5-8', colorB58), _defineProperty(_module$exports, 'color-b5-9', colorB59), _defineProperty(_module$exports, 'color-b5-10', colorB510), _defineProperty(_module$exports, 'color-b6-1', colorB61), _defineProperty(_module$exports, 'color-b6-2', colorB62), _defineProperty(_module$exports, 'color-b6-3', colorB63), _defineProperty(_module$exports, 'color-b6-4', colorB64), _defineProperty(_module$exports, 'color-b6-5', colorB65), _defineProperty(_module$exports, 'color-b6-6', colorB66), _defineProperty(_module$exports, 'color-b6-7', colorB67), _defineProperty(_module$exports, 'color-b6-8', colorB68), _defineProperty(_module$exports, 'color-b6-9', colorB69), _defineProperty(_module$exports, 'color-b6-10', colorB610), _defineProperty(_module$exports, 'color-b7-1', colorB71), _defineProperty(_module$exports, 'color-b7-2', colorB72), _defineProperty(_module$exports, 'color-b7-3', colorB73), _defineProperty(_module$exports, 'color-b7-4', colorB74), _defineProperty(_module$exports, 'color-b7-5', colorB75), _defineProperty(_module$exports, 'color-b7-6', colorB76), _defineProperty(_module$exports, 'color-b7-7', colorB77), _defineProperty(_module$exports, 'color-b7-8', colorB78), _defineProperty(_module$exports, 'color-b7-9', colorB79), _defineProperty(_module$exports, 'color-b7-10', colorB710), _defineProperty(_module$exports, 'color-b8-1', colorB81), _defineProperty(_module$exports, 'color-b8-2', colorB82), _defineProperty(_module$exports, 'color-b8-3', colorB83), _defineProperty(_module$exports, 'color-b8-4', colorB84), _defineProperty(_module$exports, 'color-b8-5', colorB85), _defineProperty(_module$exports, 'color-b8-6', colorB86), _defineProperty(_module$exports, 'color-b8-7', colorB87), _defineProperty(_module$exports, 'color-b8-8', colorB88), _defineProperty(_module$exports, 'color-b8-9', colorB89), _defineProperty(_module$exports, 'color-b8-10', colorB810), _defineProperty(_module$exports, 'color-n1-1', colorN11), _defineProperty(_module$exports, 'color-n1-2', colorN12), _defineProperty(_module$exports, 'color-n1-3', colorN13), _defineProperty(_module$exports, 'color-n1-4', colorN14), _defineProperty(_module$exports, 'color-n1-5', colorN15), _defineProperty(_module$exports, 'color-n1-6', colorN16), _defineProperty(_module$exports, 'color-n1-7', colorN17), _defineProperty(_module$exports, 'color-n1-8', colorN18), _defineProperty(_module$exports, 'color-n1-9', colorN19), _defineProperty(_module$exports, 'color-n1-10', colorN110), _defineProperty(_module$exports, 'color-n2-1', colorN21), _defineProperty(_module$exports, 'color-n2-2', colorN22), _defineProperty(_module$exports, 'color-n2-3', colorN23), _defineProperty(_module$exports, 'color-n2-4', colorN24), _defineProperty(_module$exports, 'color-n2-5', colorN25), _defineProperty(_module$exports, 'color-n2-6', colorN26), _defineProperty(_module$exports, 'color-n2-7', colorN27), _defineProperty(_module$exports, 'color-n2-8', colorN28), _defineProperty(_module$exports, 'color-n2-9', colorN29), _defineProperty(_module$exports, 'color-n2-10', colorN210), _defineProperty(_module$exports, 'color-f1-1', colorF11), _defineProperty(_module$exports, 'color-f1-2', colorF12), _defineProperty(_module$exports, 'color-f1-3', colorF13), _defineProperty(_module$exports, 'color-f1-4', colorF14), _defineProperty(_module$exports, 'color-f1-5', colorF15), _defineProperty(_module$exports, 'color-f1-6', colorF16), _defineProperty(_module$exports, 'color-f1-7', colorF17), _defineProperty(_module$exports, 'color-f1-8', colorF18), _defineProperty(_module$exports, 'color-f1-9', colorF19), _defineProperty(_module$exports, 'color-f1-10', colorF110), _defineProperty(_module$exports, 'color-f2-1', colorF21), _defineProperty(_module$exports, 'color-f2-2', colorF22), _defineProperty(_module$exports, 'color-f2-3', colorF23), _defineProperty(_module$exports, 'color-f2-4', colorF24), _defineProperty(_module$exports, 'color-f2-5', colorF25), _defineProperty(_module$exports, 'color-f2-6', colorF26), _defineProperty(_module$exports, 'color-f2-7', colorF27), _defineProperty(_module$exports, 'color-f2-8', colorF28), _defineProperty(_module$exports, 'color-f2-9', colorF29), _defineProperty(_module$exports, 'color-f2-10', colorF210), _defineProperty(_module$exports, 'color-f3-1', colorF31), _defineProperty(_module$exports, 'color-f3-2', colorF32), _defineProperty(_module$exports, 'color-f3-3', colorF33), _defineProperty(_module$exports, 'color-f3-4', colorF34), _defineProperty(_module$exports, 'color-f3-5', colorF35), _defineProperty(_module$exports, 'color-f3-6', colorF36), _defineProperty(_module$exports, 'color-f3-7', colorF37), _defineProperty(_module$exports, 'color-f3-8', colorF38), _defineProperty(_module$exports, 'color-f3-9', colorF39), _defineProperty(_module$exports, 'color-f3-10', colorF310), _defineProperty(_module$exports, 'color-f4-1', colorF41), _defineProperty(_module$exports, 'color-f4-2', colorF42), _defineProperty(_module$exports, 'color-f4-3', colorF43), _defineProperty(_module$exports, 'color-f4-4', colorF44), _defineProperty(_module$exports, 'color-f4-5', colorF45), _defineProperty(_module$exports, 'color-f4-6', colorF46), _defineProperty(_module$exports, 'color-f4-7', colorF47), _defineProperty(_module$exports, 'color-f4-8', colorF48), _defineProperty(_module$exports, 'color-f4-9', colorF49), _defineProperty(_module$exports, 'color-f4-10', colorF410), _module$exports);