'use strict';

var _module$exports;

var _nukeVarLoader = require('../../../nuke-var-loader/lib/index.js');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

////
/// @group Variables 变量
/// @module line: 线条
/// @type String
/// @category style
////


/// Line0
/// @export width
var line0Width = (0, _nukeVarLoader.varLoader)('line-0-width', 0);

/// Line1
/// @export width
var line1Width = (0, _nukeVarLoader.varLoader)('line-1-width', 1);

/// Line2
/// @export width
var line2Width = (0, _nukeVarLoader.varLoader)('line-2-width', 2);

/// Line3
/// @export width
var line3Width = (0, _nukeVarLoader.varLoader)('line-3-width', 8);

/// Solid
/// @export style
/// @unconfigurable
var lineSolid = (0, _nukeVarLoader.varLoader)('line-solid', 'solid');
/// Dashed
/// @export style
/// @unconfigurable
var lineDashed = (0, _nukeVarLoader.varLoader)('line-dashed', 'dashed');
/// Dotted
/// @export style
/// @unconfigurable
var lineDotted = (0, _nukeVarLoader.varLoader)('line-dotted', 'dotted');

var line0 = (0, _nukeVarLoader.varLoader)('line0', line0Width + ' ' + lineSolid);
var line0Dashed = (0, _nukeVarLoader.varLoader)('line0-dashed', line0Width + ' ' + lineDashed);
var line0Dotted = (0, _nukeVarLoader.varLoader)('line0-dotted', line0Width + ' ' + lineDotted);

var line1 = (0, _nukeVarLoader.varLoader)('line1', line1Width + ' ' + lineSolid);
var line1Dashed = (0, _nukeVarLoader.varLoader)('line1-dashed', line1Width + ' ' + lineDashed);
var line1Dotted = (0, _nukeVarLoader.varLoader)('line1-dotted', line1Width + ' ' + lineDotted);

var line2 = (0, _nukeVarLoader.varLoader)('line2', line2Width + ' ' + lineSolid);
var line2Dashed = (0, _nukeVarLoader.varLoader)('line2-dashed', line2Width + ' ' + lineDashed);
var line2Dotted = (0, _nukeVarLoader.varLoader)('line2-dotted', line2Width + ' ' + lineDotted);

var line3 = (0, _nukeVarLoader.varLoader)('line3', line3Width + ' ' + lineSolid);
var line3Dashed = (0, _nukeVarLoader.varLoader)('line3-dashed', line3Width + ' ' + lineDashed);
var line3Dotted = (0, _nukeVarLoader.varLoader)('line3-dotted', line3Width + ' ' + lineDotted);

module.exports = (_module$exports = {}, _defineProperty(_module$exports, 'line-0-width', line0Width), _defineProperty(_module$exports, 'line-1-width', line1Width), _defineProperty(_module$exports, 'line-2-width', line2Width), _defineProperty(_module$exports, 'line-3-width', line3Width), _defineProperty(_module$exports, 'line-solid', lineSolid), _defineProperty(_module$exports, 'line-dashed', lineDashed), _defineProperty(_module$exports, 'line-dotted', lineDotted), _defineProperty(_module$exports, 'line0', line0), _defineProperty(_module$exports, 'line0-dashed', line0Dashed), _defineProperty(_module$exports, 'line0-dotted', line0Dotted), _defineProperty(_module$exports, 'line1', line1), _defineProperty(_module$exports, 'line1-dashed', line1Dashed), _defineProperty(_module$exports, 'line1-dotted', line1Dotted), _defineProperty(_module$exports, 'line2', line2), _defineProperty(_module$exports, 'line2-dashed', line2Dashed), _defineProperty(_module$exports, 'line2-dotted', line2Dotted), _defineProperty(_module$exports, 'line3', line3), _defineProperty(_module$exports, 'line3-dashed', line3Dashed), _defineProperty(_module$exports, 'line3-dotted', line3Dotted), _module$exports);