'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _easeInOut = require('./lib/easeInOut.js');

var _easeInOut2 = _interopRequireDefault(_easeInOut);

var _easeOut = require('./lib/easeOut.js');

var _easeOut2 = _interopRequireDefault(_easeOut);

var _easeIn = require('./lib/easeIn.js');

var _easeIn2 = _interopRequireDefault(_easeIn);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {

  linear: (0, _easeInOut2.default)(1),

  easeInQuad: (0, _easeIn2.default)(2),
  easeOutQuad: (0, _easeOut2.default)(2),
  easeInOutQuad: (0, _easeInOut2.default)(2),

  easeInCubic: (0, _easeIn2.default)(3),
  easeOutCubic: (0, _easeOut2.default)(3),
  easeInOutCubic: (0, _easeInOut2.default)(3),

  easeInQuart: (0, _easeIn2.default)(4),
  easeOutQuart: (0, _easeOut2.default)(4),
  easeInOutQuart: (0, _easeInOut2.default)(4),

  easeInQuint: (0, _easeIn2.default)(5),
  easeOutQuint: (0, _easeOut2.default)(5),
  easeInOutQuint: (0, _easeInOut2.default)(5)

}; // based on these https://gist.github.com/gre/1650294#gistcomment-1806616
// all credit to @lindell

module.exports = exports['default'];