'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
var iconCodes = {
    default: {
        fontName: 'nukeIcons',
        url: 'https://at.alicdn.com/t/font_tirbeh9ly833di.ttf',
        codes: {
            all: '\uE623',
            email: '\uE612',
            account: '\uE60D',
            emailFilling: '\uE627',
            favoritesFilling: '\uE617',
            accountFilling: '\uE618',
            smile: '\uE613',
            personalCenter: '\uE619',
            back: '\uE600',
            arrowDown: '\uE61A',
            arrowUp: '\uE625',
            add: '\uE601',
            minus: '\uE614',
            errorFilling: '\uE602',
            error: '\uE603',
            select: '\uE609',
            success: '\uE606',
            warning: '\uE607',
            display: '\uE604',
            prompt: '\uE608',
            successFilling: '\uE60A',
            close: '\uE61C',
            semiSelect: '\uE60B',
            loading: '\uE60C',
            navMore: '\uE610',
            search: '\uE611',
            arrowRight: '\uE616',
            favorites: '\uE628',
            deleteFilling: '\uE605',
            arrowLeft: '\uE60E',
            radio: '\uE60F',
            checkbox: '\uE615',
            play: '\uE635',
            right: '\uE639'
        }
    },
    v2: {
        fontName: 'nukeIconsV2',
        url: 'https://at.alicdn.com/t/font_13lpt64qt2h2gldi.ttf',
        codes: {
            accessory: '\uE6DD',
            activity: '\uE6DE',
            activity_fill: '\uE6DF',
            add: '\uE6E0',
            addition_fill: '\uE6E1',
            addition: '\uE6E2',
            addpeople_fill: '\uE6E3',
            addpeople: '\uE6E4',
            addressbook_fill: '\uE6E5',
            addressbook: '\uE6E6',
            barrage_fill: '\uE6E7',
            barrage: '\uE6E8',
            browse_fill: '\uE6E9',
            browse: '\uE6EA',
            brush: '\uE6EB',
            brush_fill: '\uE6EC',
            businesscard_fill: '\uE6ED',
            businesscard: '\uE6EE',
            camera_fill: '\uE6EF',
            camera: '\uE6F0',
            clock_fill: '\uE6F1',
            clock: '\uE6F2',
            close: '\uE6F3',
            collection_fill: '\uE6F4',
            collection: '\uE6F5',
            computer_fill: '\uE6F6',
            computer: '\uE6F7',
            coordinates_fill: '\uE6F8',
            coordinates: '\uE6F9',
            coupons_fill: '\uE6FA',
            coupons: '\uE6FB',
            createtask_fill: '\uE6FC',
            createtask: '\uE6FD',
            customerservice_fill: '\uE6FE',
            customerservice: '\uE6FF',
            delete_fill: '\uE700',
            delete: '\uE701',
            document: '\uE702',
            document_fill: '\uE703',
            dynamic_fill: '\uE704',
            dynamic: '\uE705',
            editor: '\uE706',
            eit: '\uE707',
            emoji_fill: '\uE708',
            emoji: '\uE709',
            empty: '\uE70A',
            empty_fill: '\uE70B',
            enter: '\uE70C',
            enterinto: '\uE70D',
            enterinto_fill: '\uE70E',
            feedback_fill: '\uE70F',
            feedback: '\uE710',
            flag_fill: '\uE711',
            flag: '\uE712',
            flashlight: '\uE713',
            flashlight_fill: '\uE714',
            flip: '\uE715',
            flip_fill: '\uE716',
            fullscreen: '\uE717',
            group: '\uE718',
            group_fill: '\uE719',
            headlines_fill: '\uE71A',
            headlines: '\uE71B',
            homepage_fill: '\uE71C',
            homepage: '\uE71D',
            integral_fill: '\uE71E',
            integral: '\uE71F',
            interactive_fill: '\uE720',
            interactive: '\uE721',
            keyboard: '\uE722',
            label: '\uE723',
            label_fill: '\uE724',
            like_fill: '\uE725',
            like: '\uE726',
            live_fill: '\uE727',
            live: '\uE728',
            lock_fill: '\uE729',
            lock: '\uE72A',
            mail: '\uE72B',
            mail_fill: '\uE72C',
            manage_fill: '\uE72D',
            manage: '\uE72E',
            message: '\uE72F',
            message_fill: '\uE730',
            mine: '\uE731',
            mine_fill: '\uE732',
            mobilephone_fill: '\uE733',
            mobilephone: '\uE734',
            more: '\uE735',
            narrow: '\uE736',
            offline_fill: '\uE737',
            offline: '\uE738',
            order_fill: '\uE739',
            order: '\uE73A',
            other: '\uE73B',
            people_fill: '\uE73C',
            people: '\uE73D',
            picture_fill: '\uE73E',
            picture: '\uE73F',
            play: '\uE740',
            play_fill: '\uE741',
            playon_fill: '\uE742',
            playon: '\uE743',
            praise_fill: '\uE744',
            praise: '\uE745',
            prompt_fill: '\uE746',
            prompt: '\uE747',
            qrcode_fill: '\uE748',
            qrcode: '\uE749',
            redpacket_fill: '\uE74A',
            redpacket: '\uE74B',
            refresh: '\uE74C',
            remind_fill: '\uE74D',
            remind: '\uE74E',
            return: '\uE74F',
            right: '\uE750',
            scan: '\uE751',
            select_fill: '\uE752',
            select: '\uE753',
            send: '\uE754',
            service_fill: '\uE755',
            service: '\uE756',
            setup_fill: '\uE757',
            setup: '\uE758',
            share_fill: '\uE759',
            share: '\uE75A',
            shielding_fill: '\uE75B',
            shielding: '\uE75C',
            smallscreen_fill: '\uE75D',
            smallscreen: '\uE75E',
            stealth_fill: '\uE75F',
            stealth: '\uE760',
            success_fill: '\uE761',
            success: '\uE762',
            suspend: '\uE763',
            switch: '\uE764',
            systemprompt_fill: '\uE765',
            systemprompt: '\uE766',
            tailor: '\uE767',
            task: '\uE768',
            task_fill: '\uE769',
            tasklist_fill: '\uE76A',
            tasklist: '\uE76B',
            text: '\uE76C',
            time_fill: '\uE76D',
            time: '\uE76E',
            translation_fill: '\uE76F',
            translation: '\uE770',
            trash: '\uE771',
            trash_fill: '\uE772',
            undo: '\uE773',
            unlock_fill: '\uE774',
            unlock: '\uE775',
            video: '\uE776',
            video_fill: '\uE777',
            warning_fill: '\uE778',
            warning: '\uE779',
            workbench_fill: '\uE77A',
            workbench: '\uE77B',
            search: '\uE77C',
            searchfill: '\uE77D',
            qianniu: '\uE77E',
            publishgoods_fill: '\uE77F',
            shop_fill: '\uE780',
            transaction_fill: '\uE781',
            packup: '\uE782',
            unfold: '\uE783',
            wangwang: '\uE784',
            financial_fill: '\uE785',
            marketing_fill: '\uE786',
            shake: '\uE787',
            decoration_fill: '\uE788'
        }
    }
};
exports.default = iconCodes;
module.exports = exports['default'];