'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _nukeVarLoader = require('../../nuke-var-loader/lib/index.js');

var _nukeCore = require('../../nuke-core/lib/nuke.js');

var _nukeCore2 = _interopRequireDefault(_nukeCore);

var _mixin = require('./mixin.js');

var _variable = require('./variable.js');

var _variable2 = _interopRequireDefault(_variable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var styles = {
  mask: {
    alignItems: 'center',
    justifyContent: 'center',
    flexDirection: 'row',
    flex: 1,
    backgroundColor: (0, _mixin.rgba)(_variable2.default['modal-custom-toast-mask-bg-color'], _variable2.default['modal-custom-toast-mask-opacity'])
  },
  'toast-body': _extends({
    alignItems: 'center',
    justifyContent: 'center',
    minWidth: _variable2.default['modal-custom-toast-min-width'] + 'rem',
    maxWidth: _variable2.default['modal-custom-toast-max-width'] + 'rem',
    minHeight: _variable2.default['modal-custom-toast-min-height'] + 'rem',
    backgroundColor: (0, _mixin.rgba)(_variable2.default['modal-custom-toast-bg-color'], _variable2.default['modal-custom-toast-opacity']),
    borderRadius: _variable2.default['modal-custom-toast-corner'] + 'rem'
  }, _nukeCore2.default.padding(_variable2.default['modal-custom-toast-padding-top-bottom'], _variable2.default['modal-custom-toast-padding-left-right']), {
    alignSelf: 'center'
  }),
  'toast-body-with-icon': {
    minWidth: _variable2.default['modal-custom-toast-icon-min-width'] + 'rem',
    maxWidth: _variable2.default['modal-custom-toast-icon-max-width'] + 'rem',
    minHeight: _variable2.default['modal-custom-toast-icon-min-height'] + 'rem'
  },
  iconfont: _defineProperty({
    color: '#ffffff',
    fontSize: _variable2.default['modal-custom-toast-icon-size'] + 'rem'
  }, 'color', _variable2.default['modal-custom-toast-icon-color']),
  text: _defineProperty({
    fontSize: _variable2.default['modal-custom-toast-font-size'] + 'rem',
    color: _variable2.default['modal-custom-toast-color'],
    textAlign: 'center'
  }, 'color', '#ffffff'),
  'text-with-icon': {
    marginTop: _variable2.default['modal-custom-toast-icon-margin-bottom']
  }

};
exports.default = styles;
module.exports = exports['default'];