'use strict';

var _pickerColumn, _pickerColumnMask, _pickerColumnIndica, _pickerColumnScroll, _module$exports;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _nukeVarLoader = require('../../nuke-var-loader/lib/index.js');

var _nukeCore = require('../../nuke-core/lib/nuke.js');

var _nukeCore2 = _interopRequireDefault(_nukeCore);

var _variable = require('./variable.js');

var _variable2 = _interopRequireDefault(_variable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

module.exports = (_module$exports = {}, _defineProperty(_module$exports, 'picker', {
    position: 'fixed',
    bottom: 0,
    left: 0,
    width: '750rem',
    backgroundColor: _variable2.default['picker-background-color']
}), _defineProperty(_module$exports, 'picker-toolbar', _extends({
    backgroundColor: _variable2.default['picker-toolbar-background-color']
}, _nukeCore2.default.border(_variable2.default['picker-toolbar-line-width'], _variable2.default['picker-toolbar-line-style'], _variable2.default['picker-toolbar-line-color'], 'bottom'))), _defineProperty(_module$exports, 'picker-toolbar-inner', _extends({
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    height: _variable2.default['picker-toolbar-height'],
    color: _variable2.default['picker-toolbar-title-color']
}, _nukeCore2.default.padding(0, _variable2.default['picker-toolbar-padding-lr']), {
    fontSize: _variable2.default['picker-toolbar-title-font-size']
})), _defineProperty(_module$exports, 'picker-cancel', {
    width: '20%',
    overflow: 'hidden',
    fontSize: _variable2.default['picker-toolbar-button-font-size'],
    textAlign: 'left',
    color: _variable2.default['picker-toolbar-cancel-color']

}), _defineProperty(_module$exports, 'picker-done', {
    width: '20%',
    overflow: 'hidden',
    fontSize: _variable2.default['picker-toolbar-button-font-size'],
    textAlign: 'right',
    color: _variable2.default['picker-toolbar-done-color']
}), _defineProperty(_module$exports, 'picker-title', {
    flex: 1,
    textAlign: 'center',
    overflow: 'hidden',
    textOverflow: 'ellipsis',
    whiteSpace: 'nowrap',
    color: _variable2.default['picker-toolbar-title-color']
}), _defineProperty(_module$exports, 'picker-content', {
    flexDirection: 'row'
}), _defineProperty(_module$exports, 'picker-column', (_pickerColumn = {
    position: 'relative',
    width: '100%',
    height: _variable2.default['picker-height'],
    flex: 1,
    overflow: 'hidden'
}, _defineProperty(_pickerColumn, '-webkit-transition', 'width ease 0.2s'), _defineProperty(_pickerColumn, 'transition', 'width ease 0.2s'), _pickerColumn)), _defineProperty(_module$exports, 'picker-column-mask', (_pickerColumnMask = {
    position: 'absolute',
    left: 0,
    top: 0,
    height: '100%',
    width: '100%'
}, _defineProperty(_pickerColumnMask, 'background-image', '-webkit-linear-gradient(top, hsla(0,0%,100%,.95), hsla(0,0%,100%,.6)), -webkit-linear-gradient(bottom,hsla(0,0%,100%,.95),hsla(0,0%,100%,.6))'), _defineProperty(_pickerColumnMask, 'background-image', 'linear-gradient(180deg, hsla(0,0%,100%,.95), hsla(0,0%,100%,.6)), linear-gradient(0deg,hsla(0,0%,100%,.95),hsla(0,0%,100%,.6))'), _defineProperty(_pickerColumnMask, 'background-position', 'top, bottom'), _defineProperty(_pickerColumnMask, 'background-size', '100% ' + _variable2.default['picker-item-height'] * 2 + 'rem'), _defineProperty(_pickerColumnMask, 'background-repeat', 'no-repeat'), _pickerColumnMask)), _defineProperty(_module$exports, 'picker-column-indicator', (_pickerColumnIndica = {
    position: 'absolute',
    left: 0,
    top: _variable2.default['picker-item-height'] * 2,
    height: _variable2.default['picker-item-height'],
    width: '100%'
}, _defineProperty(_pickerColumnIndica, 'background-image', '-webkit-linear-gradient(top, ' + _variable2.default['picker-item-line-color'] + ',' + _variable2.default['picker-item-line-color'] + ',transparent, transparent), -webkit-linear-gradient(bottom, ' + _variable2.default['picker-item-line-color'] + ',' + _variable2.default['picker-item-line-color'] + ',transparent, transparent)'), _defineProperty(_pickerColumnIndica, 'background-image', 'linear-gradient(to bottom, ' + _variable2.default['picker-item-line-color'] + ',' + _variable2.default['picker-item-line-color'] + ', transparent, transparent), linear-gradient(to top, ' + _variable2.default['picker-item-line-color'] + ',' + _variable2.default['picker-item-line-color'] + ',transparent, transparent)'), _defineProperty(_pickerColumnIndica, 'background-position', 'top, bottom'), _defineProperty(_pickerColumnIndica, 'background-size', '100% 1px'), _defineProperty(_pickerColumnIndica, 'background-repeat', 'no-repeat'), _pickerColumnIndica)), _defineProperty(_module$exports, 'picker-column-scroll', (_pickerColumnScroll = {}, _defineProperty(_pickerColumnScroll, '-webkit-transform', 'translate3d(0, 0, 0)'), _defineProperty(_pickerColumnScroll, 'transform', 'translate3d(0, 0, 0)'), _pickerColumnScroll)), _defineProperty(_module$exports, 'picker-item', {
    height: _variable2.default['picker-item-height'],
    lineHeight: _variable2.default['picker-item-height'],
    textAlign: 'center',
    overflow: 'hidden',
    textOverflow: 'ellipsis'

}), _defineProperty(_module$exports, 'picker-item-text', {
    color: _variable2.default['picker-item-text-color'],
    fontSize: _variable2.default['picker-item-font-size']
}), _module$exports);