'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.slideBlock = exports.container = exports.root = undefined;

var _default = require('./default.variable.js');

var root = exports.root = {
  userSelect: 'none'
};

var container = exports.container = {
  height: _default.HANDLER_SIZE,
  display: 'flex',
  justifyContent: 'center',
  alignItems: 'center'
};

var slideBlock = exports.slideBlock = {
  width: _default.HANDLER_SIZE,
  height: _default.HANDLER_SIZE,
  backgroundColor: '#fff',
  borderRadius: _default.HANDLER_SIZE,
  borderWidth: 2,
  borderColor: 'rgba(0, 0, 0, 0.1)',
  //   boxShadow: '0 6px 12px rgba(0, 0, 0, 0.05)',
  position: 'absolute',
  left: 0,
  bottom: 0
};