/** @jsx createElement */

/**
 * Copyright (c) 2015-present, Alibaba Group Holding Limited.
 * All rights reserved.
 *
 * @providesModule 
 */
'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _rax = require('rax');

var _nukeView = require('../../../nuke-view/lib/index.js');

var _nukeView2 = _interopRequireDefault(_nukeView);

var _nukeText = require('../../../nuke-text/lib/index.js');

var _nukeText2 = _interopRequireDefault(_nukeText);

var _styles = require('../styles.js');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PickerItem = function (_Component) {
    _inherits(PickerItem, _Component);

    function PickerItem() {
        _classCallCheck(this, PickerItem);

        return _possibleConstructorReturn(this, (PickerItem.__proto__ || Object.getPrototypeOf(PickerItem)).apply(this, arguments));
    }

    _createClass(PickerItem, [{
        key: 'render',
        value: function render() {
            var _context = this.context,
                __column__ = _context.__column__,
                selectedValue = _context.selectedValue;
            var _props = this.props,
                value = _props.value,
                _props$style = _props.style,
                style = _props$style === undefined ? {} : _props$style;


            var klsStyle = Object.assign({}, _styles2.default['item'], __column__ && value === selectedValue ? _styles2.default['time-picker-item'] : {});

            return (0, _rax.createElement)(
                _nukeView2.default,
                { x: 'picker-item', style: [klsStyle, style] },
                (0, _rax.createElement)(
                    _nukeText2.default,
                    { style: _styles2.default['item-text'] },
                    value
                )
            );
        }
    }]);

    return PickerItem;
}(_rax.Component);

PickerItem.contextTypes = {
    __column__: _rax.PropTypes.bool,
    selectedValue: _rax.PropTypes.any
};
exports.default = PickerItem;
module.exports = exports['default'];